=== modified file 'NEWS'
--- NEWS	2008-06-06 18:04:45 +0000
+++ NEWS	2008-04-25 21:38:41 +0000
@@ -1,33 +1,3 @@
-0.95.0	UNRELEASED
-
- UI
-
-  * Added Refresh menu option with F5 keyboard shortcut (Russ Brown)
-
- BUG FIXES
-
-  * Replace _() calls by _i18n() calls. (Vincent Ladeuil, #187283)
-  
-  * Fixed adding tags. (Javier Derderian, #228709)
-
- INTERNALS
-
-  * All i18n calls should now go through _i18n which must be imported from
-    bzrlib.plugins.gtk. This addresses the occasional collisions with '_' used
-    as an anonymous variable. (Vincent Ladeuil)
-
-
-0.94.0    2008-05-04
-
- CHANGES
-
-  * Disabled signature tab until we start verifying testaments. 
-    (Jelmer Vernooij)
-
- BUG FIXES
-
-  * Fix display of children in branchview. (Jelmer Vernooij, #224914)
-
 0.94.0rc1  2008-04-25
 
  CHANGES
@@ -36,6 +6,8 @@
 
   * Use new D-Bus revision signal. (James Henstridge, #206443)
 
+  * Switched to using Seahorse to verify signatures. (Daniel Schierbeck)
+
  UI
 
   * Made the tags associated with a revision render next to the revision
@@ -79,13 +51,11 @@
  
   * Only check for old Bazaar versions that are known to be incompatible and 
     no longer warn about newer (unknown) versions of Bazaar, on the assumption
-    the API is sufficiently stable now. (Jelmer Vernooij)
+	the API is sufficiently stable now. (Jelmer Vernooij)
 
   * Support child_submit_to setting in gsend. (Jelmer Vernooij)
 
-  * Add tab to revision view showing the signature status. (Daniel Schierbeck, Jelmer Vernooij)
-
-  * Use seahorse to verify signatures. (Daniel Schierbeck)
+  * Add tab if revision view showing the signature status. (Daniel Schierbeck, Jelmer Vernooij)
 
  INTERNALS
 
@@ -117,7 +87,7 @@
  
   * Fixed logview bug in gannotate. (Daniel Schierbeck)
 
-0.92.0    2007-11-07
+0.92.0	2007-11-07
 
  UI
 
@@ -170,7 +140,7 @@
 
   * Avoid deprecation warning for all_plugins() in gpreferences. (Jelmer)
 
-0.91.0    2007-09-24
+0.91.0	2007-09-24
 
  UI
 
@@ -209,7 +179,7 @@
   * Added default_branch_path to MergeDialog and use it from olive-gtk.
     (Mateusz Korniak)
 
-0.90.0    2007-08-27
+0.90.0	2007-08-27
 
  FEATURES
 
@@ -310,7 +280,7 @@
 
   * Fixed 'bzr gcommit' if command not issued in a branch (#113394, Szilveszter)
 
-0.16.0    2007-05-05
+0.16.0	2007-05-05
 
  FEATURES
  
@@ -338,7 +308,7 @@
   
   * Recommend installation as 'gtk' not 'bzr-gtk'. (#104110, Szilveszter)
 
-0.15.2    2007-04-03
+0.15.2	2007-04-03
 
  BUG FIXES
 
@@ -355,7 +325,7 @@
 
   * Display remote locations in commit-notify (Robert)
 
-0.15.1    2007-03-25
+0.15.1	2007-03-25
 
  BUG FIXES
  
@@ -393,7 +363,7 @@
 
   * Strict commits are now a dialog, not a check box (Jelmer)
 
-0.15.0    2007-03-09
+0.15.0	2007-03-09
 
 BUG FIXES
 
@@ -437,14 +407,14 @@
 
   * Add initial testsuite (Jelmer)
 
-0.14.0    2007-01-30
+0.14.0	2007-01-30
 
   * Add revert functionality (Szilvester)
 
   * Rewritten CommitDialog without glade (Szilvester)
 
   * Allow to commit single files from the context menu (Fixes #54983,
-                                                       Szilvester)
+													   Szilvester)
 
   * Warn about incompatible Bazaar versions (Jelmer)
 
@@ -457,7 +427,7 @@
   * Set default drive letter (#67924, Szilvester)
 
   * Show error if no diff available for the selected file (#76536,
-                                                          Szilvester)
+														  Szilvester)
 
   * Handle current revision in annotate better (Aaron)
 
@@ -485,7 +455,7 @@
 
   * Several other small regression fixes (Szilvester)
 
-0.13.0    2006-12-13
+0.13.0	2006-12-13
 
   * Don't show pending merge list when there are no pending merges
     (Alexander Belchenko)
@@ -508,7 +478,7 @@
 
   * Use dotted revnos in gannotate (Aaron Bentley)
 
-0.12.0    2006-11-04
+0.12.0	2006-11-04
 
   * #68127: gcommit is broken
 

=== modified file '__init__.py'
--- __init__.py	2008-06-27 16:53:56 +0000
+++ __init__.py	2008-04-30 13:08:30 +0000
@@ -22,6 +22,7 @@
 gcommit           GTK+ commit dialog.
 gconflicts        GTK+ conflicts. 
 gdiff             Show differences in working tree in a GTK+ Window. 
+ghandle-patch     Display and optionally merge a merge directive or patch.
 ginit             Initialise a new branch.
 gmissing          GTK+ missing revisions dialog. 
 gpreferences      GTK+ preferences dialog. 
@@ -36,7 +37,7 @@
 
 import bzrlib
 
-version_info = (0, 95, 0, 'dev', 1)
+version_info = (0, 94, 0, 'rc', 1)
 
 if version_info[3] == 'final':
     version_string = '%d.%d.%d' % version_info[:3]
@@ -119,22 +120,21 @@
     return None
 
 
-def open_display():
-    pygtk = import_pygtk()
-    try:
-        import gtk
-    except RuntimeError, e:
-        if str(e) == "could not open display":
-            raise NoDisplayError
-    set_ui_factory()
-    return gtk
- 
-
 class GTKCommand(Command):
     """Abstract class providing GTK specific run commands."""
 
+    def open_display(self):
+        pygtk = import_pygtk()
+        try:
+            import gtk
+        except RuntimeError, e:
+            if str(e) == "could not open display":
+                raise NoDisplayError
+        set_ui_factory()
+        return gtk
+
     def run(self):
-        open_display()
+        self.open_display()
         dialog = self.get_gtk_dialog(os.path.abspath('.'))
         dialog.run()
 
@@ -168,7 +168,7 @@
 
     def run(self, location="."):
         (br, path) = branch.Branch.open_containing(location)
-        open_display()
+        self.open_display()
         from push import PushDialog
         dialog = PushDialog(br.repository, br.last_revision(), br)
         dialog.run()
@@ -193,12 +193,12 @@
             if revision is not None:
                 if len(revision) == 1:
                     tree1 = wt
-                    revision_id = revision[0].as_revision_id(tree1.branch)
+                    revision_id = revision[0].in_history(branch).rev_id
                     tree2 = branch.repository.revision_tree(revision_id)
                 elif len(revision) == 2:
-                    revision_id_0 = revision[0].as_revision_id(branch)
+                    revision_id_0 = revision[0].in_history(branch).rev_id
                     tree2 = branch.repository.revision_tree(revision_id_0)
-                    revision_id_1 = revision[1].as_revision_id(branch)
+                    revision_id_1 = revision[1].in_history(branch).rev_id
                     tree1 = branch.repository.revision_tree(revision_id_1)
             else:
                 tree1 = wt
@@ -261,7 +261,8 @@
             if revision is None:
                 revids.append(br.last_revision())
             else:
-                revids.append(revision[0].as_revision_id(br))
+                (revno, revid) = revision[0].in_history(br)
+                revids.append(revid)
         import gtk
         pp = start_viz_window(br, revids, limit)
         pp.connect("destroy", lambda w: gtk.main_quit())
@@ -286,7 +287,7 @@
     aliases = ["gblame", "gpraise"]
     
     def run(self, filename, all=False, plain=False, line='1', revision=None):
-        gtk = open_display()
+        gtk = self.open_display()
 
         try:
             line = int(line)
@@ -311,7 +312,7 @@
         if revision is not None:
             if len(revision) != 1:
                 raise BzrCommandError("Only 1 revion may be specified.")
-            revision_id = revision[0].as_revision_id(br)
+            revision_id = revision[0].in_history(br).rev_id
             tree = br.repository.revision_tree(revision_id)
         else:
             revision_id = getattr(tree, 'get_revision_id', lambda: None)()
@@ -345,7 +346,7 @@
 
     def run(self, filename=None):
         import os
-        open_display()
+        self.open_display()
         from commit import CommitDialog
         from bzrlib.errors import (BzrCommandError,
                                    NotBranchError,
@@ -358,8 +359,8 @@
             br = wt.branch
         except NoWorkingTree, e:
             from dialog import error_dialog
-            error_dialog(_i18n('Directory does not have a working tree'),
-                         _i18n('Operation aborted.'))
+            error_dialog(_('Directory does not have a working tree'),
+                         _('Operation aborted.'))
             return 1 # should this be retval=3?
 
         # It is a good habit to keep things locked for the duration, but it
@@ -386,13 +387,13 @@
 
     def run(self, path='.', revision=None):
         import os
-        gtk = open_display()
+        gtk = self.open_display()
         from status import StatusDialog
         (wt, wt_path) = workingtree.WorkingTree.open_containing(path)
         
         if revision is not None:
             try:
-                revision_id = revision[0].as_revision_id(wt.branch)
+                revision_id = revision[0].in_history(wt.branch).rev_id
             except:
                 from bzrlib.errors import BzrError
                 raise BzrError('Revision %r doesn\'t exist' % revision[0].user_spec )
@@ -410,7 +411,7 @@
     """
     def run(self):
         (br, path) = branch.Branch.open_containing(".")
-        gtk = open_display()
+        gtk = self.open_display()
         from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
         from StringIO import StringIO
         dialog = SendMergeDirectiveDialog(br)
@@ -432,7 +433,7 @@
     """
     def run(self):
         (wt, path) = workingtree.WorkingTree.open_containing('.')
-        open_display()
+        self.open_display()
         from bzrlib.plugins.gtk.conflicts import ConflictsDialog
         dialog = ConflictsDialog(wt)
         dialog.run()
@@ -443,7 +444,7 @@
 
     """
     def run(self):
-        open_display()
+        self.open_display()
         from bzrlib.plugins.gtk.preferences import PreferencesWindow
         dialog = PreferencesWindow()
         dialog.run()
@@ -487,7 +488,7 @@
 
 class cmd_ginit(GTKCommand):
     def run(self):
-        open_display()
+        self.open_display()
         from initialize import InitDialog
         dialog = InitDialog(os.path.abspath(os.path.curdir))
         dialog.run()
@@ -497,7 +498,7 @@
     def run(self):
         br = branch.Branch.open_containing('.')[0]
         
-        gtk = open_display()
+        gtk = self.open_display()
         from tags import TagsWindow
         window = TagsWindow(br)
         window.show()
@@ -534,7 +535,7 @@
 
     def run(self):
         from notify import NotifyPopupMenu
-        gtk = open_display()
+        gtk = self.open_display()
         menu = NotifyPopupMenu()
         icon = gtk.status_icon_new_from_file(icon_path("bzr-icon-64.png"))
         icon.connect('popup-menu', menu.display)
@@ -692,13 +693,46 @@
 register_command(cmd_test_gtk)
 
 
+class cmd_ghandle_patch(GTKCommand):
+    """Display a patch or merge directive, possibly merging.
+
+    This is a helper, meant to be launched from other programs like browsers
+    or email clients.  Since these programs often do not allow parameters to
+    be provided, a "handle-patch" script is included.
+    """
+
+    takes_args = ['path']
+
+    def run(self, path):
+        try:
+            from bzrlib.plugins.gtk.diff import (DiffWindow,
+                                                 MergeDirectiveWindow)
+            lines = open(path, 'rb').readlines()
+            lines = [l.replace('\r\n', '\n') for l in lines]
+            try:
+                directive = merge_directive.MergeDirective.from_lines(lines)
+            except errors.NotAMergeDirective:
+                window = DiffWindow()
+                window.set_diff_text(path, lines)
+            else:
+                window = MergeDirectiveWindow(directive, path)
+                window.set_diff_text(path, directive.patch.splitlines(True))
+            window.show()
+            gtk = self.open_display()
+            window.connect("destroy", gtk.main_quit)
+        except Exception, e:
+            from dialog import error_dialog
+            error_dialog('Error', str(e))
+            raise
+        gtk.main()
+
+
+register_command(cmd_ghandle_patch)
+
 
 import gettext
 gettext.install('olive-gtk')
 
-# Let's create a specialized alias to protect '_' from being erased by other
-# uses of '_' as an anonymous variable (think pdb for one).
-_i18n = gettext.gettext
 
 class NoDisplayError(BzrCommandError):
     """gtk could not find a proper display"""

=== modified file 'branch.py'
--- branch.py	2008-05-05 18:16:46 +0000
+++ branch.py	2008-03-07 16:01:35 +0000
@@ -29,8 +29,6 @@
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
-
 from dialog import error_dialog, info_dialog
 
 from branchbox import BranchSelectionBox
@@ -49,15 +47,15 @@
         self.path = path
         
         # Create the widgets
-        self._button_branch = gtk.Button(_i18n("_Branch"), use_underline=True)
+        self._button_branch = gtk.Button(_("_Branch"), use_underline=True)
         self._remote_branch = BranchSelectionBox()
         self._button_revision = gtk.Button('')
-        self._label_location = gtk.Label(_i18n("Branch location:"))
+        self._label_location = gtk.Label(_("Branch location:"))
         self._label_location.set_alignment(0, 0.5)
-        self._label_destination = gtk.Label(_i18n("Destination:"))
-        self._label_nick = gtk.Label(_i18n("Branck nick:"))
-        self._label_revision = gtk.Label(_i18n("Revision:"))
-        self._filechooser = gtk.FileChooserButton(_i18n("Please select a folder"))
+        self._label_destination = gtk.Label(_("Destination:"))
+        self._label_nick = gtk.Label(_("Branck nick:"))
+        self._label_revision = gtk.Label(_("Revision:"))
+        self._filechooser = gtk.FileChooserButton(_("Please select a folder"))
         self._filechooser.set_action(gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER)
         self._hbox_revision = gtk.HBox()
         self._entry_revision = gtk.Entry()
@@ -137,8 +135,8 @@
         """ Branch button clicked handler. """
         location = self._remote_branch.get_url()
         if location is '':
-            error_dialog(_i18n('Missing branch location'),
-                         _i18n('You must specify a branch location.'))
+            error_dialog(_('Missing branch location'),
+                         _('You must specify a branch location.'))
             return
         
         destination = self._filechooser.get_filename()
@@ -179,8 +177,8 @@
         finally:
             br_from.unlock()
                 
-        info_dialog(_i18n('Branching successful'),
-                    _i18n('%d revision(s) branched.') % revs)
+        info_dialog(_('Branching successful'),
+                    _('%d revision(s) branched.') % revs)
         
         self.response(gtk.RESPONSE_OK)
     
@@ -188,7 +186,7 @@
         """ We try to get the last revision if focus lost. """
         rev = self._get_last_revno()
         if rev is None:
-            self._entry_revision.set_text(_i18n('N/A'))
+            self._entry_revision.set_text(_('N/A'))
             self._button_revision.set_sensitive(False)
         else:
             self._entry_revision.set_text(str(rev))

=== modified file 'branchview/graphcell.py'
--- branchview/graphcell.py	2008-04-02 23:21:11 +0000
+++ branchview/graphcell.py	2008-01-22 22:58:29 +0000
@@ -149,18 +149,19 @@
         box_size = self.box_size(widget)
 
         ctx.set_line_width(box_size / 8)
+        ctx.set_line_cap(cairo.LINE_CAP_ROUND)
 
         # Draw lines into the cell
         for start, end, colour in self.in_lines:
             self.render_line (ctx, cell_area, box_size,
                          bg_area.y, bg_area.height,
-                         start, end, colour, flags)
+                         start, end, colour)
 
         # Draw lines out of the cell
         for start, end, colour in self.out_lines:
             self.render_line (ctx, cell_area, box_size,
                          bg_area.y + bg_area.height, bg_area.height,
-                         start, end, colour, flags)
+                         start, end, colour)
 
         # Draw the revision node in the right column
         (column, colour) = self.node
@@ -168,12 +169,6 @@
                 cell_area.y + cell_area.height / 2,
                 box_size / 4, 0, 2 * math.pi)
 
-        if flags & gtk.CELL_RENDERER_SELECTED:
-            ctx.set_source_rgb(1.0, 1.0, 1.0)
-            ctx.set_line_width(box_size / 4)
-            ctx.stroke_preserve()
-            ctx.set_line_width(box_size / 8)
-
         self.set_colour(ctx, colour, 0.0, 0.5)
         ctx.stroke_preserve()
 
@@ -182,9 +177,8 @@
 
         self.render_tags(ctx, widget.create_pango_context(), cell_area, box_size)
     
-    def render_line(self, ctx, cell_area, box_size, mid, height, start, end, colour, flags):
+    def render_line(self, ctx, cell_area, box_size, mid, height, start, end, colour):
         if start is None:
-            ctx.set_line_cap(cairo.LINE_CAP_ROUND)
             x = cell_area.x + box_size * end + box_size / 2
             ctx.move_to(x, mid + height / 3)
             ctx.line_to(x, mid + height / 3)
@@ -192,39 +186,29 @@
             ctx.line_to(x, mid + height / 6)
             
         elif end is None:
-            ctx.set_line_cap(cairo.LINE_CAP_ROUND)
             x = cell_area.x + box_size * start + box_size / 2
             ctx.move_to(x, mid - height / 3)
             ctx.line_to(x, mid - height / 3)
             ctx.move_to(x, mid - height / 6)
             ctx.line_to(x, mid - height / 6)
-
         else:
-            ctx.set_line_cap(cairo.LINE_CAP_BUTT)
             startx = cell_area.x + box_size * start + box_size / 2
             endx = cell_area.x + box_size * end + box_size / 2
             
             ctx.move_to(startx, mid - height / 2)
             
             if start - end == 0 :
-                ctx.line_to(endx, mid + height / 2 + 1)
+                ctx.line_to(endx, mid + height / 2)
             else:
                 ctx.curve_to(startx, mid - height / 5,
                              startx, mid - height / 5,
                              startx + (endx - startx) / 2, mid)
-
+                
                 ctx.curve_to(endx, mid + height / 5,
                              endx, mid + height / 5 ,
-                             endx, mid + height / 2 + 1)
-
-        if flags & gtk.CELL_RENDERER_SELECTED:
-            ctx.set_source_rgb(1.0, 1.0, 1.0)
-            ctx.set_line_width(box_size / 5)
-            ctx.stroke_preserve()
-            ctx.set_line_width(box_size / 8)
-
+                             endx, mid + height / 2)
+                
         self.set_colour(ctx, colour, 0.0, 0.65)
-
         ctx.stroke()
 
     def render_tags(self, ctx, pango_ctx, cell_area, box_size):

=== modified file 'branchview/linegraph.py'
--- branchview/linegraph.py	2008-06-29 16:11:12 +0000
+++ branchview/linegraph.py	2008-04-28 22:24:06 +0000
@@ -11,10 +11,9 @@
 
 from bzrlib.revision import NULL_REVISION
 from bzrlib.tsort import merge_sort
-from bzrlib import ui
 
-def linegraph(graph, start_revs, maxnum=None, broken_line_length=None,
-              graph_data=True, mainline_only=False, root_progress=None):
+def linegraph(repository, start_revs, maxnum, broken_line_length = None,
+              graph_data = True, mainline_only = False):
     """Produce a directed graph of a bzr repository.
 
     Returns a tuple of (line_graph, revid_index, columns_len) where
@@ -43,47 +42,26 @@
     It's up to you how to actually draw the nodes and lines (straight,
     curved, kinked, etc.) and to pick the actual colours for each index.
     """
-    assert isinstance(start_revs, list)
-    def update_root_progress(step_number):
-        """IFF our container received a root progress bar, then update it."""
-        if root_progress is not None:
-            root_progress.update(current=step_number)
-
+    
+    graph = repository.get_graph()
     graph_parents = {}
     ghosts = set()
     graph_children = {}
-    update_root_progress(1)
-    progress_bar = ui.ui_factory.nested_progress_bar()
-    try:
-        progress_bar.update(msg="Arranging tree fragments")
-        for i, (revid, parent_revids) in enumerate(graph.iter_ancestry(start_revs)):
-            if i % 25 == 0:
-                progress_bar.tick()
-            if parent_revids is None:
-                ghosts.add(revid)
-                continue
-            if parent_revids == (NULL_REVISION,):
-                graph_parents[revid] = ()
-            else:
-                graph_parents[revid] = parent_revids
-            for parent in parent_revids:
-                graph_children.setdefault(parent, []).append(revid)
-            graph_children.setdefault(revid, [])
-    finally:
-        progress_bar.finished()
-
-    update_root_progress(2)
-    progress_bar = ui.ui_factory.nested_progress_bar()
-    try:
-        progress_bar.update(msg="Removing ghosts", total=len(ghosts))
-        for i, ghost in enumerate(ghosts):
-            if i % 25 == 0:
-                progress_bar.update(current=i)
-            for ghost_child in graph_children[ghost]:
-                graph_parents[ghost_child] = [p for p in graph_parents[ghost_child]
-                                              if p not in ghosts]
-    finally:
-        progress_bar.finished()
+    for (revid, parent_revids) in graph.iter_ancestry(start_revs):
+        if parent_revids is None:
+            ghosts.add(revid)
+            continue
+        if parent_revids == (NULL_REVISION,):
+            graph_parents[revid] = ()
+        else:
+            graph_parents[revid] = parent_revids
+        for parent in parent_revids:
+            graph_children.setdefault(parent, []).append(revid)
+        graph_children[revid] = []
+    for ghost in ghosts:
+        for ghost_child in graph_children[ghost]:
+            graph_parents[ghost_child] = [p for p in graph_parents[ghost_child]
+                                          if p not in ghosts]
     graph_parents["top:"] = start_revs
 
     if len(graph_parents)>0:
@@ -115,45 +93,36 @@
     
     linegraph = []    
     
-    update_root_progress(3)
-    progress_bar = ui.ui_factory.nested_progress_bar()
-    try:
-        progress_bar.update(msg="Finding nodes", total=len(merge_sorted_revisions))
-        for (rev_index, (sequence_number,
-                         revid,
-                         merge_depth,
-                         revno_sequence,
-                         end_of_merge)) in enumerate(merge_sorted_revisions):
-
-            if rev_index % 25 == 0:
-                progress_bar.update(current=rev_index)
-            if maxnum and rev_index >= maxnum:
-                break
-            revid_index[revid] = rev_index
-            
-            parents = graph_parents[revid]
-            linegraph.append([revid,
-                              None,
-                              [],
-                              parents,
-                              None,
-                              revno_sequence])
-            
-            if graph_data:
-                revno_index[revno_sequence] = rev_index
-                
-                branch_id = revno_sequence[0:-1]
-                
-                branch_line = None
-                if branch_id not in branch_lines:
-                    branch_line = []
-                    branch_lines[branch_id] = branch_line
-                else:
-                    branch_line = branch_lines[branch_id]
-                
-                branch_line.append(rev_index)        
-    finally:
-        progress_bar.finished()
+    for (rev_index, (sequence_number,
+                     revid,
+                     merge_depth,
+                     revno_sequence,
+                     end_of_merge)) in enumerate(merge_sorted_revisions):
+        if maxnum and rev_index >= maxnum:
+            break
+        revid_index[revid] = rev_index
+        
+        parents = graph_parents[revid]
+        linegraph.append([revid,
+                          None,
+                          [],
+                          parents,
+                          None,
+                          revno_sequence])
+        
+        if graph_data:
+            revno_index[revno_sequence] = rev_index
+            
+            branch_id = revno_sequence[0:-1]
+            
+            branch_line = None
+            if branch_id not in branch_lines:
+                branch_line = []
+                branch_lines[branch_id] = branch_line
+            else:
+                branch_line = branch_lines[branch_id]
+            
+            branch_line.append(rev_index)        
 
     if graph_data:
         branch_ids = branch_lines.keys()
@@ -181,194 +150,178 @@
         columns = [list(empty_column)]
         
         
-        update_root_progress(4)
-        progress_bar = ui.ui_factory.nested_progress_bar()
-        try:
-            progress_bar.update(msg="Organizing edges", total=len(branch_ids))
-            for i, branch_id in enumerate(branch_ids):
-                if i % 25 == 0:
-                    progress_bar.update(current=i)
-                branch_line = branch_lines[branch_id]
-                
-                # Find the col_index for the direct parent branch. This will be the
-                # starting point when looking for a free column.
-                parent_col_index = 0
-                parent_index = None
-                if len(branch_id) > 1:
-                    parent_revno = branch_id[0:-1]
-                    if parent_revno in revno_index:
-                        parent_index = revno_index[parent_revno]
+        for branch_id in branch_ids:
+            branch_line = branch_lines[branch_id]
+            
+            # Find the col_index for the direct parent branch. This will be the
+            # starting point when looking for a free column.
+            parent_col_index = 0
+            parent_index = None
+            if len(branch_id) > 1:
+                parent_revno = branch_id[0:-1]
+                if parent_revno in revno_index:
+                    parent_index = revno_index[parent_revno]
+                    parent_node = linegraph[parent_index][1]
+                    if parent_node:
+                        parent_col_index = parent_node[0]
+                    
+            
+            col_search_order = _branch_line_col_search_order(columns,
+                                                             parent_col_index)
+            color = reduce(lambda x, y: x+y, branch_id, 0)
+            cur_cont_line = []
+            
+            line_range = []
+            last_rev_index = None
+            for rev_index in branch_line:
+                if last_rev_index:
+                    if broken_line_length and \
+                       rev_index - last_rev_index > broken_line_length:
+                        line_range.append(last_rev_index+1)
+                        line_range.append(rev_index-1)
+                    else:
+                        line_range.extend(range(last_rev_index+1, rev_index))
+                
+                line_range.append(rev_index)
+                last_rev_index = rev_index
+            
+            if parent_index:
+                if broken_line_length and \
+                   parent_index - last_rev_index > broken_line_length:
+                    line_range.append(last_rev_index+1)
+                else:
+                    line_range.extend(range(last_rev_index+1, parent_index))
+            
+            col_index = _find_free_column(columns,
+                                          empty_column,
+                                          col_search_order,
+                                          line_range)
+            node = (col_index, color)
+            for rev_index in branch_line:
+                linegraph[rev_index][1] = node
+                columns[col_index][rev_index] = True
+            
+            for rev_index in branch_line:
+                (sequence_number,
+                     revid,
+                     merge_depth,
+                     revno_sequence,
+                     end_of_merge) = merge_sorted_revisions[rev_index]
+                
+                linegraph[rev_index][4] = graph_children[revid]
+                col_index = linegraph[rev_index][1][0]
+                
+                for parent_revid in graph_parents[revid]:
+                    if parent_revid in revid_index:
+                        
+                        parent_index = revid_index[parent_revid]                            
                         parent_node = linegraph[parent_index][1]
                         if parent_node:
                             parent_col_index = parent_node[0]
-                        
-                
-                col_search_order = _branch_line_col_search_order(columns,
-                                                                 parent_col_index)
-                color = reduce(lambda x, y: x+y, branch_id, 0)
-                cur_cont_line = []
-                
-                line_range = []
-                last_rev_index = None
-                for rev_index in branch_line:
-                    if last_rev_index:
-                        if broken_line_length and \
-                           rev_index - last_rev_index > broken_line_length:
-                            line_range.append(last_rev_index+1)
-                            line_range.append(rev_index-1)
                         else:
-                            line_range.extend(range(last_rev_index+1, rev_index))
-                    
-                    line_range.append(rev_index)
-                    last_rev_index = rev_index
-                
-                if parent_index:
-                    if broken_line_length and \
-                       parent_index - last_rev_index > broken_line_length:
-                        line_range.append(last_rev_index+1)
-                    else:
-                        line_range.extend(range(last_rev_index+1, parent_index))
-                
-                col_index = _find_free_column(columns,
-                                              empty_column,
-                                              col_search_order,
-                                              line_range)
-                node = (col_index, color)
-                for rev_index in branch_line:
-                    linegraph[rev_index][1] = node
-                    columns[col_index][rev_index] = True
-                
-                for rev_index in branch_line:
-                    (sequence_number,
-                         revid,
-                         merge_depth,
-                         revno_sequence,
-                         end_of_merge) = merge_sorted_revisions[rev_index]
-                    
-                    linegraph[rev_index][4] = graph_children[revid]
-                    col_index = linegraph[rev_index][1][0]
-                    
-                    for parent_revid in graph_parents[revid]:
-                        if parent_revid in revid_index:
-                            
-                            parent_index = revid_index[parent_revid]                            
-                            parent_node = linegraph[parent_index][1]
-                            if parent_node:
-                                parent_col_index = parent_node[0]
-                            else:
-                                parent_col_index = None
+                            parent_col_index = None
+                        col_search_order = \
+                                _line_col_search_order(columns,
+                                                       parent_col_index,
+                                                       col_index)
+                            
+                        # If this line is really long, break it.
+                        if len(branch_id) > 0 and \
+                           broken_line_length and \
+                           parent_index - rev_index > broken_line_length:
+                            child_line_col_index = \
+                                _find_free_column(columns,
+                                                  empty_column,
+                                                  col_search_order,
+                                                  (rev_index + 1,))
+                            _mark_column_as_used(columns,
+                                                 child_line_col_index,
+                                                 (rev_index + 1,))
+                            
+                            # Recall _line_col_search_order to reset it back to
+                            # the beging.
                             col_search_order = \
                                     _line_col_search_order(columns,
                                                            parent_col_index,
                                                            col_index)
-                                
-                            # If this line is really long, break it.
-                            if len(branch_id) > 0 and \
-                               broken_line_length and \
-                               parent_index - rev_index > broken_line_length:
-                                child_line_col_index = \
-                                    _find_free_column(columns,
-                                                      empty_column,
-                                                      col_search_order,
-                                                      (rev_index + 1,))
-                                _mark_column_as_used(columns,
-                                                     child_line_col_index,
-                                                     (rev_index + 1,))
-                                
-                                # Recall _line_col_search_order to reset it back to
-                                # the beging.
-                                col_search_order = \
-                                        _line_col_search_order(columns,
-                                                               parent_col_index,
-                                                               col_index)
-                                parent_col_line_index = \
-                                    _find_free_column(columns,
-                                                      empty_column,
-                                                      col_search_order,
-                                                      (parent_index - 1,))
-                                _mark_column_as_used(columns,
-                                                     parent_col_line_index,
-                                                     (parent_index - 1,))
-                                lines.append((rev_index,
-                                              parent_index,
-                                              (child_line_col_index,
-                                               parent_col_line_index)))
-                            else :
-                                line_col_index = col_index
-                                if parent_index - rev_index >1:
-                                    line_range = range(rev_index + 1, parent_index)
-                                    line_col_index = \
-                                        _find_free_column(columns,
-                                                          empty_column,
-                                                          col_search_order,
-                                                          line_range)
-                                    _mark_column_as_used(columns,
-                                                         line_col_index,
-                                                         line_range)
-                                lines.append((rev_index,
-                                              parent_index,
-                                              (line_col_index,)))
-        finally:
-            progress_bar.finished()
+                            parent_col_line_index = \
+                                _find_free_column(columns,
+                                                  empty_column,
+                                                  col_search_order,
+                                                  (parent_index - 1,))
+                            _mark_column_as_used(columns,
+                                                 parent_col_line_index,
+                                                 (parent_index - 1,))
+                            lines.append((rev_index,
+                                          parent_index,
+                                          (child_line_col_index,
+                                           parent_col_line_index)))
+                        else :
+                            line_col_index = col_index
+                            if parent_index - rev_index >1:
+                                line_range = range(rev_index + 1, parent_index)
+                                line_col_index = \
+                                    _find_free_column(columns,
+                                                      empty_column,
+                                                      col_search_order,
+                                                      line_range)
+                                _mark_column_as_used(columns,
+                                                     line_col_index,
+                                                     line_range)
+                            lines.append((rev_index,
+                                          parent_index,
+                                          (line_col_index,)))
         
-        update_root_progress(5)
-        progress_bar = ui.ui_factory.nested_progress_bar()
-        try:
-            progress_bar.update(msg="Pretifying graph", total=len(lines))
-            for i, (child_index, parent_index, line_col_indexes) in enumerate(lines):
-                if i % 25 == 0:
-                    progress_bar.update(current=i)
-                (child_col_index, child_color) = linegraph[child_index][1]
-                (parent_col_index, parent_color) = linegraph[parent_index][1]
-                
-                if len(line_col_indexes) == 1:
-                    if parent_index - child_index == 1:
-                        linegraph[child_index][2].append(
-                            (child_col_index,
-                             parent_col_index,
-                             parent_color))
-                    else:
-                        # line from the child's column to the lines column
-                        linegraph[child_index][2].append(
-                            (child_col_index,
-                             line_col_indexes[0],
-                             parent_color))
-                        # lines down the line's column
-                        for line_part_index in range(child_index+1, parent_index-1):
-                            linegraph[line_part_index][2].append(
-                                (line_col_indexes[0],   
-                                 line_col_indexes[0],
-                                 parent_color))
-                        # line from the line's column to the parent's column
-                        linegraph[parent_index-1][2].append(
-                            (line_col_indexes[0],
-                             parent_col_index,
-                             parent_color))
+        for (child_index, parent_index, line_col_indexes) in lines:
+            (child_col_index, child_color) = linegraph[child_index][1]
+            (parent_col_index, parent_color) = linegraph[parent_index][1]
+            
+            if len(line_col_indexes) == 1:
+                if parent_index - child_index == 1:
+                    linegraph[child_index][2].append(
+                        (child_col_index,
+                         parent_col_index,
+                         parent_color))
                 else:
-                    # Broken line
                     # line from the child's column to the lines column
                     linegraph[child_index][2].append(
                         (child_col_index,
                          line_col_indexes[0],
                          parent_color))
-                    # Broken line end
-                    linegraph[child_index+1][2].append(
-                        (line_col_indexes[0],
-                         None,
-                         parent_color))
-                    
-                    # Broken line end 
-                    linegraph[parent_index-2][2].append(
-                        (None,
-                         line_col_indexes[1],
-                         parent_color))
+                    # lines down the line's column
+                    for line_part_index in range(child_index+1, parent_index-1):
+                        linegraph[line_part_index][2].append(
+                            (line_col_indexes[0],   
+                             line_col_indexes[0],
+                             parent_color))
                     # line from the line's column to the parent's column
                     linegraph[parent_index-1][2].append(
-                        (line_col_indexes[1],
+                        (line_col_indexes[0],
                          parent_col_index,
                          parent_color))
-        finally:
-            progress_bar.finished()
+            else:
+                # Broken line
+                # line from the child's column to the lines column
+                linegraph[child_index][2].append(
+                    (child_col_index,
+                     line_col_indexes[0],
+                     parent_color))
+                # Broken line end
+                linegraph[child_index+1][2].append(
+                    (line_col_indexes[0],
+                     None,
+                     parent_color))
+                
+                # Broken line end 
+                linegraph[parent_index-2][2].append(
+                    (None,
+                     line_col_indexes[1],
+                     parent_color))
+                # line from the line's column to the parent's column
+                linegraph[parent_index-1][2].append(
+                    (line_col_indexes[1],
+                     parent_col_index,
+                     parent_color))
         return (linegraph, revid_index, len(columns))
     else:
         return (linegraph, revid_index, 0)

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2008-06-29 16:11:12 +0000
+++ branchview/treeview.py	2008-04-24 15:26:14 +0000
@@ -3,7 +3,7 @@
 
 """
 
-__copyright__ = "Copyright © 2005 Canonical Ltd."
+__copyright__ = "Copyright  2005 Canonical Ltd."
 __author__    = "Daniel Schierbeck <daniel.schierbeck@gmail.com>"
 
 import sys
@@ -13,9 +13,7 @@
 import pango
 import re
 import treemodel
-from bzrlib import ui
 
-from bzrlib.plugins.gtk import _i18n
 from linegraph import linegraph, same_branch
 from graphcell import CellRendererGraph
 from treemodel import TreeModel
@@ -83,6 +81,9 @@
     }
 
     __gsignals__ = {
+        'revisions-loaded': (gobject.SIGNAL_RUN_FIRST, 
+                             gobject.TYPE_NONE,
+                             ()),
         'revision-selected': (gobject.SIGNAL_RUN_FIRST,
                               gobject.TYPE_NONE,
                               ()),
@@ -106,6 +107,10 @@
         """
         gtk.VBox.__init__(self, spacing=0)
 
+        self.pack_start(self.construct_loading_msg(), expand=False, fill=True)
+        self.connect('revisions-loaded', 
+                lambda x: self.loading_msg_box.hide())
+
         self.scrolled_window = gtk.ScrolledWindow()
         self.scrolled_window.set_policy(gtk.POLICY_AUTOMATIC,
                                         gtk.POLICY_AUTOMATIC)
@@ -114,6 +119,7 @@
         self.pack_start(self.scrolled_window, expand=True, fill=True)
 
         self.scrolled_window.add(self.construct_treeview())
+        
 
         self.iter = None
         self.branch = branch
@@ -216,6 +222,7 @@
         self.emit('tag-added', tag, revid)
         
     def refresh(self):
+        self.loading_msg_box.show()
         gobject.idle_add(self.populate, self.get_revision())
 
     def update(self):
@@ -269,46 +276,39 @@
                        should be broken.
         """
 
-        loading_progress = ui.ui_factory.nested_progress_bar()
-        loading_progress.update(msg="Loading ancestry graph", total=5)
-
-        try:
-            if self.compact:
-                broken_line_length = 32
-            else:
-                broken_line_length = None
-            
-            show_graph = self.graph_column.get_visible()
-
-            self.branch.lock_read()
-            (linegraphdata, index, columns_len) = linegraph(self.branch.repository.get_graph(),
-                                                            self.start,
-                                                            self.maxnum, 
-                                                            broken_line_length,
-                                                            show_graph,
-                                                            self.mainline_only,
-                                                            loading_progress)
-
-            self.model = TreeModel(self.branch, linegraphdata)
-            self.graph_cell.columns_len = columns_len
-            width = self.graph_cell.get_size(self.treeview)[2]
-            if width > 500:
-                width = 500
-            self.graph_column.set_fixed_width(width)
-            self.graph_column.set_max_width(width)
-            self.index = index
-            self.treeview.set_model(self.model)
-
-            if not revision or revision == NULL_REVISION:
-                self.treeview.set_cursor(0)
-            else:
-                self.set_revision(revision)
-
-            self.emit('revisions-loaded')
-
-            return False
-        finally:
-            loading_progress.finished()
+        if self.compact:
+            broken_line_length = 32
+        else:
+            broken_line_length = None
+        
+        show_graph = self.graph_column.get_visible()
+
+        self.branch.lock_read()
+        (linegraphdata, index, columns_len) = linegraph(self.branch.repository,
+                                                        self.start,
+                                                        self.maxnum, 
+                                                        broken_line_length,
+                                                        show_graph,
+                                                        self.mainline_only)
+
+        self.model = TreeModel(self.branch, linegraphdata)
+        self.graph_cell.columns_len = columns_len
+        width = self.graph_cell.get_size(self.treeview)[2]
+        if width > 500:
+            width = 500
+        self.graph_column.set_fixed_width(width)
+        self.graph_column.set_max_width(width)
+        self.index = index
+        self.treeview.set_model(self.model)
+
+        if not revision or revision == NULL_REVISION:
+            self.treeview.set_cursor(0)
+        else:
+            self.set_revision(revision)
+
+        self.emit('revisions-loaded')
+
+        return False
 
     def construct_treeview(self):
         self.treeview = gtk.TreeView()
@@ -338,7 +338,7 @@
         cell.set_property("width-chars", 15)
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
         self.revno_column = gtk.TreeViewColumn("Revision No")
-        self.revno_column.set_resizable(False)
+        self.revno_column.set_resizable(True)
         self.revno_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
         self.revno_column.set_fixed_width(cell.get_size(self.treeview)[2])
         self.revno_column.pack_start(cell, expand=True)
@@ -347,9 +347,9 @@
 
         self.graph_cell = CellRendererGraph()
         self.graph_column = gtk.TreeViewColumn()
-        self.graph_column.set_resizable(False)
+        self.graph_column.set_resizable(True)
         self.graph_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.graph_column.pack_start(self.graph_cell, expand=True)
+        self.graph_column.pack_start(self.graph_cell, expand=False)
         self.graph_column.add_attribute(self.graph_cell, "node", treemodel.NODE)
         self.graph_column.add_attribute(self.graph_cell, "tags", treemodel.TAGS)
         self.graph_column.add_attribute(self.graph_cell, "in-lines", treemodel.LAST_LINES)
@@ -360,8 +360,7 @@
         cell.set_property("width-chars", 65)
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
         self.summary_column = gtk.TreeViewColumn("Summary")
-        self.summary_column.set_resizable(False)
-        self.summary_column.set_expand(True)
+        self.summary_column.set_resizable(True)
         self.summary_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
         self.summary_column.set_fixed_width(cell.get_size(self.treeview)[2])
         self.summary_column.pack_start(cell, expand=True)
@@ -372,9 +371,9 @@
         cell.set_property("width-chars", 15)
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
         self.committer_column = gtk.TreeViewColumn("Committer")
-        self.committer_column.set_resizable(False)
+        self.committer_column.set_resizable(True)
         self.committer_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.committer_column.set_fixed_width(200)
+        self.committer_column.set_fixed_width(cell.get_size(self.treeview)[2])
         self.committer_column.pack_start(cell, expand=True)
         self.committer_column.add_attribute(cell, "text", treemodel.COMMITTER)
         self.treeview.append_column(self.committer_column)
@@ -384,14 +383,32 @@
         cell.set_property("ellipsize", pango.ELLIPSIZE_END)
         self.date_column = gtk.TreeViewColumn("Date")
         self.date_column.set_visible(False)
-        self.date_column.set_resizable(False)
+        self.date_column.set_resizable(True)
         self.date_column.set_sizing(gtk.TREE_VIEW_COLUMN_FIXED)
-        self.date_column.set_fixed_width(130)
+        self.date_column.set_fixed_width(cell.get_size(self.treeview)[2])
         self.date_column.pack_start(cell, expand=True)
         self.date_column.add_attribute(cell, "text", treemodel.TIMESTAMP)
         self.treeview.append_column(self.date_column)
         
         return self.treeview
+    
+    def construct_loading_msg(self):
+        image_loading = gtk.image_new_from_stock(gtk.STOCK_REFRESH,
+                                                 gtk.ICON_SIZE_BUTTON)
+        image_loading.show()
+        
+        label_loading = gtk.Label(_("Please wait, loading ancestral graph..."))
+        label_loading.set_alignment(0.0, 0.5)
+        label_loading.show()
+        
+        self.loading_msg_box = gtk.HBox()
+        self.loading_msg_box.set_spacing(5)
+        self.loading_msg_box.set_border_width(5)        
+        self.loading_msg_box.pack_start(image_loading, False, False)
+        self.loading_msg_box.pack_start(label_loading, True, True)
+        self.loading_msg_box.show()
+        
+        return self.loading_msg_box
 
     def _on_selection_changed(self, treeview):
         """callback for when the treeview changes."""

=== modified file 'bzr-gtk.applications'
--- bzr-gtk.applications	2008-06-27 16:55:09 +0000
+++ bzr-gtk.applications	2008-04-02 18:01:18 +0000
@@ -1,5 +1,5 @@
 bzr-gtk-patch
-	command=bzr-handle-patch
+	command="bzr handle-patch"
 	name=Bazaar
 	can_open_multiple_files=false
 	expects_uris=false

=== modified file 'bzr-handle-patch.desktop'
--- bzr-handle-patch.desktop	2008-05-01 13:00:15 +0000
+++ bzr-handle-patch.desktop	2008-04-02 18:21:29 +0000
@@ -6,5 +6,5 @@
 NoDisplay=true
 Terminal=false
 Type=Application
-Categories=Application;Development;RevisionControl;
+Categories=
 MimeType=text/x-diff;text/x-patch;application/x-bazaar-merge-directive;

=== modified file 'bzr-notify.desktop'
--- bzr-notify.desktop	2008-05-01 13:00:15 +0000
+++ bzr-notify.desktop	2007-07-15 15:13:34 +0000
@@ -7,5 +7,5 @@
 Comment=Notification Area Icon for Bazaar
 Icon=bzr-icon-64.png
 Exec=bzr commit-notify
-Categories=Application;Development;RevisionControl;
+Categories=Application;Development;
 Terminal=false

=== modified file 'checkout.py'
--- checkout.py	2008-05-05 18:16:46 +0000
+++ checkout.py	2007-05-17 16:12:27 +0000
@@ -24,7 +24,6 @@
 
 import gtk
 
-from bzrlib.plugins.gtk import _i18n
 from errors import show_bzr_error
 
 from bzrlib.branch import Branch
@@ -48,19 +47,19 @@
         self.path = path
         
         # Create the widgets
-        self._button_checkout = gtk.Button(_i18n("Check_out"), use_underline=True)
+        self._button_checkout = gtk.Button(_("Check_out"), use_underline=True)
         self._button_revision = gtk.Button('')
         self._image_browse = gtk.Image()
-        self._filechooser = gtk.FileChooserButton(_i18n("Please select a folder"))
+        self._filechooser = gtk.FileChooserButton(_("Please select a folder"))
         self._combo = gtk.ComboBoxEntry()
-        self._label_location = gtk.Label(_i18n("Branch location:"))
-        self._label_destination = gtk.Label(_i18n("Destination:"))
-        self._label_nick = gtk.Label(_i18n("Branck nick:"))
-        self._label_revision = gtk.Label(_i18n("Revision:"))
+        self._label_location = gtk.Label(_("Branch location:"))
+        self._label_destination = gtk.Label(_("Destination:"))
+        self._label_nick = gtk.Label(_("Branck nick:"))
+        self._label_revision = gtk.Label(_("Revision:"))
         self._hbox_revision = gtk.HBox()
         self._entry_revision = gtk.Entry()
         self._entry_nick = gtk.Entry()
-        self._check_lightweight = gtk.CheckButton(_i18n("_Lightweight checkout"),
+        self._check_lightweight = gtk.CheckButton(_("_Lightweight checkout"),
                                                   use_underline=True)
         
         # Set callbacks
@@ -161,8 +160,8 @@
         """ Checkout button clicked handler. """
         location = self._combo.get_child().get_text()
         if location is '':
-            error_dialog(_i18n('Missing branch location'),
-                         _i18n('You must specify a branch location.'))
+            error_dialog(_('Missing branch location'),
+                         _('You must specify a branch location.'))
             return
         
         destination = self._filechooser.get_filename()
@@ -193,7 +192,7 @@
         """ We try to get the last revision if focus lost. """
         rev = self._get_last_revno()
         if rev is None:
-            self._entry_revision.set_text(_i18n('N/A'))
+            self._entry_revision.set_text(_('N/A'))
             self._button_revision.set_sensitive(False)
         else:
             self._entry_revision.set_text(str(rev))

=== modified file 'commit.py'
--- commit.py	2008-06-07 09:00:24 +0000
+++ commit.py	2008-03-11 13:18:28 +0000
@@ -31,7 +31,6 @@
 from bzrlib.trace import mutter
 from bzrlib.util import bencode
 
-from bzrlib.plugins.gtk import _i18n
 from dialog import error_dialog, question_dialog
 from errors import show_bzr_error
 
@@ -165,12 +164,12 @@
         store = self._files_store
         self._treeview_files.set_model(None)
 
-        added = _i18n('added')
-        removed = _i18n('removed')
-        renamed = _i18n('renamed')
-        renamed_and_modified = _i18n('renamed and modified')
-        modified = _i18n('modified')
-        kind_changed = _i18n('kind changed')
+        added = _('added')
+        removed = _('removed')
+        renamed = _('renamed')
+        renamed_and_modified = _('renamed and modified')
+        modified = _('modified')
+        kind_changed = _('kind changed')
 
         # The store holds:
         # [file_id, real path, checkbox, display path, changes type, message]
@@ -258,7 +257,7 @@
             self._enable_per_file_commits = True
         if not self._enable_per_file_commits:
             self._file_message_expander.hide()
-            self._global_message_label.set_markup(_i18n('<b>Commit Message</b>'))
+            self._global_message_label.set_markup(_('<b>Commit Message</b>'))
 
     def _compute_delta(self):
         self._delta = self._wt.changes_from(self._basis_tree)
@@ -303,15 +302,12 @@
                             gtk.gdk.CONTROL_MASK, 0, self._on_accel_next)
         self.add_accel_group(group)
 
-        # ignore the escape key (avoid closing the window)
-        self.connect_object('close', self.emit_stop_by_name, 'close')
-
     def _construct_left_pane(self):
         self._left_pane_box = gtk.VBox(homogeneous=False, spacing=5)
         self._construct_file_list()
         self._construct_pending_list()
 
-        self._check_local = gtk.CheckButton(_i18n("_Only commit locally"),
+        self._check_local = gtk.CheckButton(_("_Only commit locally"),
                                             use_underline=True)
         self._left_pane_box.pack_end(self._check_local, False, False)
         self._check_local.set_active(False)
@@ -338,7 +334,7 @@
         self._hpane.pack2(self._right_pane_table, resize=True, shrink=True)
 
     def _construct_action_pane(self):
-        self._button_commit = gtk.Button(_i18n("Comm_it"), use_underline=True)
+        self._button_commit = gtk.Button(_("Comm_it"), use_underline=True)
         self._button_commit.connect('clicked', self._on_commit_clicked)
         self._button_commit.set_flags(gtk.CAN_DEFAULT)
         self._button_commit.show()
@@ -364,24 +360,24 @@
 
     def _construct_file_list(self):
         self._files_box = gtk.VBox(homogeneous=False, spacing=0)
-        file_label = gtk.Label(_i18n('Files'))
+        file_label = gtk.Label(_('Files'))
         # file_label.show()
         self._files_box.pack_start(file_label, expand=False)
 
         self._commit_all_files_radio = gtk.RadioButton(
-            None, _i18n("Commit all changes"))
+            None, _("Commit all changes"))
         self._files_box.pack_start(self._commit_all_files_radio, expand=False)
         self._commit_all_files_radio.show()
         self._commit_all_files_radio.connect('toggled',
             self._toggle_commit_selection)
         self._commit_selected_radio = gtk.RadioButton(
-            self._commit_all_files_radio, _i18n("Only commit selected changes"))
+            self._commit_all_files_radio, _("Only commit selected changes"))
         self._files_box.pack_start(self._commit_selected_radio, expand=False)
         self._commit_selected_radio.show()
         self._commit_selected_radio.connect('toggled',
             self._toggle_commit_selection)
         if self._pending:
-            self._commit_all_files_radio.set_label(_i18n('Commit all changes*'))
+            self._commit_all_files_radio.set_label(_('Commit all changes*'))
             self._commit_all_files_radio.set_sensitive(False)
             self._commit_selected_radio.set_sensitive(False)
 
@@ -414,15 +410,15 @@
         crt.set_property('activatable', not bool(self._pending))
         crt.connect("toggled", self._toggle_commit, self._files_store)
         if self._pending:
-            name = _i18n('Commit*')
+            name = _('Commit*')
         else:
-            name = _i18n('Commit')
+            name = _('Commit')
         commit_col = gtk.TreeViewColumn(name, crt, active=2)
         commit_col.set_visible(False)
         self._treeview_files.append_column(commit_col)
-        self._treeview_files.append_column(gtk.TreeViewColumn(_i18n('Path'),
+        self._treeview_files.append_column(gtk.TreeViewColumn(_('Path'),
                                            gtk.CellRendererText(), text=3))
-        self._treeview_files.append_column(gtk.TreeViewColumn(_i18n('Type'),
+        self._treeview_files.append_column(gtk.TreeViewColumn(_('Type'),
                                            gtk.CellRendererText(), text=4))
         self._treeview_files.connect('cursor-changed',
                                      self._on_treeview_files_cursor_changed)
@@ -455,11 +451,11 @@
 
         pending_message = gtk.Label()
         pending_message.set_markup(
-            _i18n('<i>* Cannot select specific files when merging</i>'))
+            _('<i>* Cannot select specific files when merging</i>'))
         self._pending_box.pack_start(pending_message, expand=False, padding=5)
         pending_message.show()
 
-        pending_label = gtk.Label(_i18n('Pending Revisions'))
+        pending_label = gtk.Label(_('Pending Revisions'))
         self._pending_box.pack_start(pending_label, expand=False, padding=0)
         pending_label.show()
 
@@ -481,11 +477,11 @@
                                  )
         self._pending_store = liststore
         self._treeview_pending.set_model(liststore)
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Date'),
+        self._treeview_pending.append_column(gtk.TreeViewColumn(_('Date'),
                                              gtk.CellRendererText(), text=1))
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Committer'),
+        self._treeview_pending.append_column(gtk.TreeViewColumn(_('Committer'),
                                              gtk.CellRendererText(), text=2))
-        self._treeview_pending.append_column(gtk.TreeViewColumn(_i18n('Summary'),
+        self._treeview_pending.append_column(gtk.TreeViewColumn(_('Summary'),
                                              gtk.CellRendererText(), text=3))
 
     def _construct_diff_view(self):
@@ -495,7 +491,7 @@
         #       decide that we really don't ever want to display it, we should
         #       actually remove it, and other references to it, along with the
         #       tests that it is set properly.
-        self._diff_label = gtk.Label(_i18n('Diff for whole tree'))
+        self._diff_label = gtk.Label(_('Diff for whole tree'))
         self._diff_label.set_alignment(0, 0)
         self._right_pane_table.set_row_spacing(self._right_pane_table_row, 0)
         self._add_to_right_table(self._diff_label, 1, False)
@@ -519,16 +515,15 @@
         self._file_message_text_view.set_accepts_tab(False)
         self._file_message_text_view.show()
 
-        self._file_message_expander = gtk.Expander(_i18n('File commit message'))
+        self._file_message_expander = gtk.Expander(_('File commit message'))
         self._file_message_expander.set_expanded(True)
         self._file_message_expander.add(scroller)
         self._add_to_right_table(self._file_message_expander, 1, False)
         self._file_message_expander.show()
 
     def _construct_global_message(self):
-        self._global_message_label = gtk.Label(_i18n('Global Commit Message'))
-        self._global_message_label.set_markup(
-            _i18n('<b>Global Commit Message</b>'))
+        self._global_message_label = gtk.Label(_('Global Commit Message'))
+        self._global_message_label.set_markup(_('<b>Global Commit Message</b>'))
         self._global_message_label.set_alignment(0, 0)
         self._right_pane_table.set_row_spacing(self._right_pane_table_row, 0)
         self._add_to_right_table(self._global_message_label, 1, False)
@@ -554,7 +549,7 @@
 
         if selection is not None:
             path, display_path = model.get(selection, 1, 3)
-            self._diff_label.set_text(_i18n('Diff for ') + display_path)
+            self._diff_label.set_text(_('Diff for ') + display_path)
             if path is None:
                 self._diff_view.show_diff(None)
             else:
@@ -601,13 +596,13 @@
         text_buffer = self._file_message_text_view.get_buffer()
         file_id, display_path, message = self._files_store.get(selection, 0, 3, 5)
         if file_id is None: # Whole tree
-            self._file_message_expander.set_label(_i18n('File commit message'))
+            self._file_message_expander.set_label(_('File commit message'))
             self._file_message_expander.set_expanded(False)
             self._file_message_expander.set_sensitive(False)
             text_buffer.set_text('')
             self._last_selected_file = None
         else:
-            self._file_message_expander.set_label(_i18n('Commit message for ')
+            self._file_message_expander.set_label(_('Commit message for ')
                                                   + display_path)
             self._file_message_expander.set_expanded(True)
             self._file_message_expander.set_sensitive(True)
@@ -652,8 +647,8 @@
 
         if message == '':
             response = self._question_dialog(
-                _i18n('Commit with an empty message?'),
-                _i18n('You can describe your commit intent in the message.'))
+                            _('Commit with an empty message?'),
+                            _('You can describe your commit intent in the message.'))
             if response == gtk.RESPONSE_NO:
                 # Kindly give focus to message area
                 self._global_message_text_view.grab_focus()
@@ -672,8 +667,8 @@
         #       files at this point.
         for path in self._wt.unknowns():
             response = self._question_dialog(
-                _i18n("Commit with unknowns?"),
-                _i18n("Unknown files exist in the working tree. Commit anyway?"))
+                _("Commit with unknowns?"),
+                _("Unknown files exist in the working tree. Commit anyway?"))
             if response == gtk.RESPONSE_NO:
                 return
             break
@@ -691,9 +686,9 @@
                        revprops=revprops)
         except errors.PointlessCommit:
             response = self._question_dialog(
-                _i18n('Commit with no changes?'),
-                _i18n('There are no changes in the working tree.'
-                      ' Do you want to commit anyway?'))
+                                _('Commit with no changes?'),
+                                _('There are no changes in the working tree.'
+                                  ' Do you want to commit anyway?'))
             if response == gtk.RESPONSE_YES:
                 rev_id = self._wt.commit(message,
                                allow_pointless=True,

=== modified file 'conflicts.py'
--- conflicts.py	2008-05-05 18:16:46 +0000
+++ conflicts.py	2008-03-07 15:56:36 +0000
@@ -26,7 +26,6 @@
 import gobject
 
 from bzrlib.config import GlobalConfig
-from bzrlib.plugins.gtk import _i18n
 
 from dialog import error_dialog, warning_dialog
 from errors import show_bzr_error
@@ -46,7 +45,7 @@
         # Create the widgets
         self._scrolledwindow = gtk.ScrolledWindow()
         self._treeview = gtk.TreeView()
-        self._label_diff3 = gtk.Label(_i18n("External utility:"))
+        self._label_diff3 = gtk.Label(_("External utility:"))
         self._entry_diff3 = gtk.Entry()
         self._image_diff3 = gtk.Image()
         self._button_diff3 = gtk.Button()
@@ -97,42 +96,42 @@
         if len(self.wt.conflicts()) == 0:
             self.model = gtk.ListStore(gobject.TYPE_STRING)
             self._treeview.set_model(self.model)
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Conflicts'),
+            self._treeview.append_column(gtk.TreeViewColumn(_('Conflicts'),
                                          gtk.CellRendererText(), text=0))
             self._treeview.set_headers_visible(False)            
-            self.model.append([ _i18n("No conflicts in working tree.") ])
+            self.model.append([ _("No conflicts in working tree.") ])
             self._button_diff3.set_sensitive(False)
         else:
             self.model = gtk.ListStore(gobject.TYPE_STRING,
                                        gobject.TYPE_STRING,
                                        gobject.TYPE_STRING)
             self._treeview.set_model(self.model)
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Path'),
+            self._treeview.append_column(gtk.TreeViewColumn(_('Path'),
                                          gtk.CellRendererText(), text=0))
-            self._treeview.append_column(gtk.TreeViewColumn(_i18n('Type'),
+            self._treeview.append_column(gtk.TreeViewColumn(_('Type'),
                                          gtk.CellRendererText(), text=1))
             self._treeview.set_search_column(0)
             for conflict in self.wt.conflicts():
                 if conflict.typestring == 'path conflict':
-                    t = _i18n("path conflict")
+                    t = _("path conflict")
                 elif conflict.typestring == 'contents conflict':
-                    t = _i18n("contents conflict")
+                    t = _("contents conflict")
                 elif conflict.typestring == 'text conflict':
-                    t = _i18n("text conflict")
+                    t = _("text conflict")
                 elif conflict.typestring == 'duplicate id':
-                    t = _i18n("duplicate id")
+                    t = _("duplicate id")
                 elif conflict.typestring == 'duplicate':
-                    t = _i18n("duplicate")
+                    t = _("duplicate")
                 elif conflict.typestring == 'parent loop':
-                    t = _i18n("parent loop")
+                    t = _("parent loop")
                 elif conflict.typestring == 'unversioned parent':
-                    t = _i18n("unversioned parent")
+                    t = _("unversioned parent")
                 elif conflict.typestring == 'missing parent':
-                    t = _i18n("missing parent")
+                    t = _("missing parent")
                 elif conflict.typestring == 'deleting parent':
-                    t = _i18n("deleting parent")
+                    t = _("deleting parent")
                 else:
-                    t = _i18n("unknown type of conflict")
+                    t = _("unknown type of conflict")
                 
                 self.model.append([ conflict.path, t, conflict.typestring ]) 
     
@@ -161,8 +160,8 @@
         self._set_diff3(self._entry_diff3.get_text())
         selected = self._get_selected_file()
         if selected is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list.'))
             return
         elif self._get_selected_type() == 'text conflict':
             base = self.wt.abspath(selected) + '.BASE'
@@ -172,8 +171,8 @@
                 p = subprocess.Popen([ self._entry_diff3.get_text(), base, this, other ])
                 p.wait()
             except OSError, e:
-                warning_dialog(_i18n('Call to external utility failed'), str(e))
+                warning_dialog(_('Call to external utility failed'), str(e))
         else:
-            warning_dialog(_i18n('Cannot resolve conflict'),
-                           _i18n('Only conflicts on the text of files can be resolved with Olive at the moment. Content conflicts, on the structure of the tree, need to be resolved using the command line.'))
+            warning_dialog(_('Cannot resolve conflict'),
+                           _('Only conflicts on the text of files can be resolved with Olive at the moment. Content conflicts, on the structure of the tree, need to be resolved using the command line.'))
             return

=== modified file 'diff.py'
--- diff.py	2008-05-22 02:33:40 +0000
+++ diff.py	2008-03-11 13:18:28 +0000
@@ -41,7 +41,6 @@
 from bzrlib.errors import NoSuchFile
 from bzrlib.patches import parse_patches
 from bzrlib.trace import warning
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.window import Window
 from dialog import error_dialog, info_dialog, warning_dialog
 
@@ -328,16 +327,16 @@
         """
         # The diffs of the  selected file: a scrollable source or
         # text view
-
-    def set_diff_text_sections(self, sections):
         self.diff_view = DiffFileView()
         self.diff_view.show()
         self.pack2(self.diff_view)
-        for oldname, newname, patch in sections:
+        self.model.append(None, [ "Complete Diff", "" ])
+        self.diff_view._diffs[None] = ''.join(lines)
+        for patch in parse_patches(lines):
+            oldname = patch.oldname.split('\t')[0]
+            newname = patch.newname.split('\t')[0]
+            self.model.append(None, [oldname, newname])
             self.diff_view._diffs[newname] = str(patch)
-            if newname is None:
-                newname = ''
-            self.model.append(None, [oldname, newname])
         self.diff_view.show_diff(None)
 
     def set_diff(self, rev_tree, parent_tree):
@@ -413,7 +412,7 @@
     differences between two revisions on a branch.
     """
 
-    def __init__(self, parent=None, operations=None):
+    def __init__(self, parent=None):
         Window.__init__(self, parent)
         self.set_border_width(0)
         self.set_title("bzrk diff")
@@ -424,151 +423,82 @@
         width = int(monitor.width * 0.66)
         height = int(monitor.height * 0.66)
         self.set_default_size(width, height)
-        self.construct(operations)
-
-    def construct(self, operations):
+
+        self.construct()
+
+    def construct(self):
         """Construct the window contents."""
         self.vbox = gtk.VBox()
         self.add(self.vbox)
         self.vbox.show()
-        hbox = self._get_button_bar(operations)
+        hbox = self._get_button_bar()
         if hbox is not None:
             self.vbox.pack_start(hbox, expand=False, fill=True)
         self.diff = DiffWidget()
         self.vbox.add(self.diff)
         self.diff.show_all()
 
-    def _get_button_bar(self, operations):
+    def _get_button_bar(self):
         """Return a button bar to use.
 
         :return: None, meaning that no button bar will be used.
         """
-        if operations is None:
-            return None
+        return None
+
+    def set_diff_text(self, description, lines):
+        """Set the diff from a text.
+
+        The diff must be in unified diff format, and will be parsed to
+        determine filenames.
+        """
+        self.diff.set_diff_text(lines)
+        self.set_title(description + " - bzrk diff")
+
+    def set_diff(self, description, rev_tree, parent_tree):
+        """Set the differences showed by this window.
+
+        Compares the two trees and populates the window with the
+        differences.
+        """
+        self.diff.set_diff(rev_tree, parent_tree)
+        self.set_title(description + " - bzrk diff")
+
+    def set_file(self, file_path):
+        self.diff.set_file(file_path)
+
+
+class MergeDirectiveWindow(DiffWindow):
+
+    def __init__(self, directive, path):
+        DiffWindow.__init__(self, None)
+        self._merge_target = None
+        self.directive = directive
+        self.path = path
+
+    def _get_button_bar(self):
+        """The button bar has only the Merge button"""
+        merge_button = gtk.Button('Merge')
+        merge_button.show()
+        merge_button.set_relief(gtk.RELIEF_NONE)
+        merge_button.connect("clicked", self.perform_merge)
+
+        save_button = gtk.Button('Save')
+        save_button.show()
+        save_button.set_relief(gtk.RELIEF_NONE)
+        save_button.connect("clicked", self.perform_save)
+
         hbox = gtk.HButtonBox()
         hbox.set_layout(gtk.BUTTONBOX_START)
-        for title, method in operations:
-            merge_button = gtk.Button(title)
-            merge_button.show()
-            merge_button.set_relief(gtk.RELIEF_NONE)
-            merge_button.connect("clicked", method)
-            hbox.pack_start(merge_button, expand=False, fill=True)
+        hbox.pack_start(merge_button, expand=False, fill=True)
+        hbox.pack_start(save_button, expand=False, fill=True)
         hbox.show()
         return hbox
 
-    def _get_merge_target(self):
-        d = gtk.FileChooserDialog('Merge branch', self,
-                                  gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL,
-                                           gtk.RESPONSE_CANCEL,))
-        try:
-            result = d.run()
-            if result != gtk.RESPONSE_OK:
-                raise SelectCancelled()
-            return d.get_current_folder_uri()
-        finally:
-            d.destroy()
-
-    def _merge_successful(self):
-        # No conflicts found.
-        info_dialog(_i18n('Merge successful'),
-                    _i18n('All changes applied successfully.'))
-
-    def _conflicts(self):
-        warning_dialog(_i18n('Conflicts encountered'),
-                       _i18n('Please resolve the conflicts manually'
-                             ' before committing.'))
-
-    def _handle_error(self, e):
-        error_dialog('Error', str(e))
-
-    def _get_save_path(self, basename):
-        d = gtk.FileChooserDialog('Save As', self,
-                                  gtk.FILE_CHOOSER_ACTION_SAVE,
-                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
-                                           gtk.STOCK_CANCEL,
-                                           gtk.RESPONSE_CANCEL,))
-        d.set_current_name(basename)
-        try:
-            result = d.run()
-            if result != gtk.RESPONSE_OK:
-                raise SelectCancelled()
-            return urlutils.local_path_from_url(d.get_uri())
-        finally:
-            d.destroy()
-
-    def set_diff(self, description, rev_tree, parent_tree):
-        """Set the differences showed by this window.
-
-        Compares the two trees and populates the window with the
-        differences.
-        """
-        self.diff.set_diff(rev_tree, parent_tree)
-        self.set_title(description + " - bzrk diff")
-
-    def set_file(self, file_path):
-        self.diff.set_file(file_path)
-
-
-class DiffController(object):
-
-    def __init__(self, path, patch, window=None):
-        self.path = path
-        self.patch = patch
-        if window is None:
-            window = DiffWindow(operations=self._provide_operations())
-            self.initialize_window(window)
-        self.window = window
-
-    def initialize_window(self, window):
-        window.diff.set_diff_text_sections(self.get_diff_sections())
-        window.set_title(self.path + " - diff")
-
-    def get_diff_sections(self):
-        yield "Complete Diff", None, ''.join(self.patch)
-        for patch in parse_patches(self.patch):
-            oldname = patch.oldname.split('\t')[0]
-            newname = patch.newname.split('\t')[0]
-            yield oldname, newname, str(patch)
-
-    def perform_save(self, window):
-        try:
-            save_path = self.window._get_save_path(osutils.basename(self.path))
-        except SelectCancelled:
-            return
-        source = open(self.path, 'rb')
-        try:
-            target = open(save_path, 'wb')
-            try:
-                osutils.pumpfile(source, target)
-            finally:
-                target.close()
-        finally:
-            source.close()
-
-    def _provide_operations(self):
-        return [('Save', self.perform_save)]
-
-
-class MergeDirectiveController(DiffController):
-
-    def __init__(self, path, directive, window=None):
-        DiffController.__init__(self, path, directive.patch.splitlines(True),
-                                window)
-        self.directive = directive
-        self.merge_target = None
-
-    def _provide_operations(self):
-        return [('Merge', self.perform_merge), ('Save', self.perform_save)]
-
     def perform_merge(self, window):
-        if self.merge_target is None:
-            try:
-                self.merge_target = self.window._get_merge_target()
-            except SelectCancelled:
-                return
-        tree = workingtree.WorkingTree.open(self.merge_target)
+        try:
+            tree = self._get_merge_target()
+        except SelectCancelled:
+            return
         tree.lock_write()
         try:
             try:
@@ -579,16 +509,64 @@
                 conflict_count = merger.do_merge()
                 merger.set_pending()
                 if conflict_count == 0:
-                    self.window._merge_successful()
+                    # No conflicts found.
+                    info_dialog(_('Merge successful'),
+                                _('All changes applied successfully.'))
                 else:
-                    self.window._conflicts()
                     # There are conflicts to be resolved.
-                self.window.destroy()
+                    warning_dialog(_('Conflicts encountered'),
+                                   _('Please resolve the conflicts manually'
+                                     ' before committing.'))
+                self.destroy()
             except Exception, e:
-                self.window._handle_error(e)
+                error_dialog('Error', str(e))
         finally:
             tree.unlock()
 
+    def _get_merge_target(self):
+        if self._merge_target is not None:
+            return self._merge_target
+        d = gtk.FileChooserDialog('Merge branch', self,
+                                  gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER,
+                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
+                                           gtk.STOCK_CANCEL,
+                                           gtk.RESPONSE_CANCEL,))
+        try:
+            result = d.run()
+            if result != gtk.RESPONSE_OK:
+                raise SelectCancelled()
+            uri = d.get_current_folder_uri()
+        finally:
+            d.destroy()
+        return workingtree.WorkingTree.open(uri)
+
+    def perform_save(self, window):
+        d = gtk.FileChooserDialog('Save As', self,
+                                  gtk.FILE_CHOOSER_ACTION_SAVE,
+                                  buttons=(gtk.STOCK_OK, gtk.RESPONSE_OK,
+                                           gtk.STOCK_CANCEL,
+                                           gtk.RESPONSE_CANCEL,))
+        d.set_current_name(osutils.basename(self.path))
+        try:
+            try:
+                result = d.run()
+                if result != gtk.RESPONSE_OK:
+                    raise SelectCancelled()
+                uri = d.get_uri()
+            finally:
+                d.destroy()
+        except SelectCancelled:
+            return
+        source = open(self.path, 'rb')
+        try:
+            target = open(urlutils.local_path_from_url(uri), 'wb')
+            try:
+                target.write(source.read())
+            finally:
+                target.close()
+        finally:
+            source.close()
+
 
 def iter_changes_to_status(source, target):
     """Determine the differences between trees.

=== modified file 'errors.py'
--- errors.py	2008-05-05 18:16:46 +0000
+++ errors.py	2007-02-03 14:19:44 +0000
@@ -15,61 +15,58 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 import bzrlib.errors as errors
-from bzrlib.plugins.gtk import _i18n
 from dialog import error_dialog
 
-
 def show_bzr_error(unbound):
     """Decorator that shows bazaar exceptions. """
     def convert(*args, **kwargs):
         try:
             unbound(*args, **kwargs)
         except errors.NotBranchError:
-            error_dialog(_i18n('Directory is not a branch'),
-                         _i18n('You can perform this action only in a branch.'))
+            error_dialog(_('Directory is not a branch'),
+                         _('You can perform this action only in a branch.'))
         except errors.LocalRequiresBoundBranch:
-            error_dialog(_i18n('Directory is not a checkout'),
-                         _i18n('You can perform local commit only on checkouts.'))
+            error_dialog(_('Directory is not a checkout'),
+                         _('You can perform local commit only on checkouts.'))
         except errors.PointlessCommit:
-            error_dialog(_i18n('No changes to commit'),
-                         _i18n('Try force commit if you want to commit anyway.'))
+            error_dialog(_('No changes to commit'),
+                         _('Try force commit if you want to commit anyway.'))
         except errors.ConflictsInTree:
-            error_dialog(_i18n('Conflicts in tree'),
-                         _i18n('You need to resolve the conflicts before committing.'))
+            error_dialog(_('Conflicts in tree'),
+                         _('You need to resolve the conflicts before committing.'))
         except errors.StrictCommitFailed:
-            error_dialog(_i18n('Strict commit failed'),
-                         _i18n('There are unknown files in the working tree.\nPlease add or delete them.'))
+            error_dialog(_('Strict commit failed'),
+                         _('There are unknown files in the working tree.\nPlease add or delete them.'))
         except errors.BoundBranchOutOfDate, errmsg:
-            error_dialog(_i18n('Bound branch is out of date'),
-                         # FIXME: Really ? Internationalizing %s ?? --vila080505
-                         _i18n('%s') % errmsg)
+            error_dialog(_('Bound branch is out of date'),
+                         _('%s') % errmsg)
         except errors.NotVersionedError:
-            error_dialog(_i18n('File not versioned'),
-                         _i18n('The selected file is not versioned.'))
+            error_dialog(_('File not versioned'),
+                         _('The selected file is not versioned.'))
         except errors.DivergedBranches:
-            error_dialog(_i18n('Branches have been diverged'),
-                         _i18n('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
+            error_dialog(_('Branches have been diverged'),
+                         _('You cannot push if branches have diverged. Use the\noverwrite option if you want to push anyway.'))
         except errors.NoSuchFile:
-            error_dialog(_i18n("No diff output"),
-                         _i18n("The selected file hasn't changed."))
+            error_dialog(_("No diff output"),
+                         _("The selected file hasn't changed."))
         except errors.NoSuchRevision:
-                error_dialog(_i18n('No such revision'),
-                             _i18n("The revision you specified doesn't exist."))
+                error_dialog(_('No such revision'),
+                             _("The revision you specified doesn't exist."))
         except errors.FileExists:
-                error_dialog(_i18n('Target already exists'),
-                             _i18n("Target directory already exists. Please select another target."))
+                error_dialog(_('Target already exists'),
+                             _("Target directory already exists. Please select another target."))
         except errors.AlreadyBranchError, errmsg:
-            error_dialog(_i18n('Directory is already a branch'),
-                         _i18n('The current directory (%s) is already a branch.\nYou can start using it, or initialize another directory.') % errmsg)
+            error_dialog(_('Directory is already a branch'),
+                         _('The current directory (%s) is already a branch.\nYou can start using it, or initialize another directory.') % errmsg)
         except errors.BranchExistsWithoutWorkingTree, errmsg:
-            error_dialog(_i18n('Branch without a working tree'),
-                         _i18n('The current directory (%s)\nis a branch without a working tree.') % errmsg)
+            error_dialog(_('Branch without a working tree'),
+                         _('The current directory (%s)\nis a branch without a working tree.') % errmsg)
         except errors.BzrError, msg:
-            error_dialog(_i18n('Unknown bzr error'), str(msg))
+            error_dialog(_('Unknown bzr error'), str(msg))
         except errors.PermissionDenied:
-            error_dialog(_i18n("Permission denied"), _i18n("permission denied."))
+            error_dialog(_("Permission denied"), _("permission denied."))
         except Exception, msg:
-            error_dialog(_i18n('Unknown error'), str(msg))
+            error_dialog(_('Unknown error'), str(msg))
 
     convert.__doc__ = unbound.__doc__
     convert.__name__ = unbound.__name__

=== modified file 'genpot.sh'
--- genpot.sh	2008-05-05 18:16:46 +0000
+++ genpot.sh	2007-08-13 10:08:10 +0000
@@ -18,26 +18,16 @@
 
 # Generate translation template
 
-if [ "$1" = "" ]; then
-    POT=po/olive-gtk.pot
-else
-    # Used for debugging
-    POT=$1 
-fi
-
-XGETTEXT="xgettext -o $POT"
-PY_XGETTEXT="$XGETTEXT -L python --from-code=ASCII --keyword=_i18n"
-
-if [ -x $POT ]; then
-    rm $POT
-    touch $POT
-else
-    touch $POT
-fi
-$PY_XGETTEXT olive-gtk
-$XGETTEXT -j olive.glade
-
-for d in . annotate branchview olive preferences viz ;
-do
-   $PY_XGETTEXT -j $d/*.py
-done
+if [ -x po/olive-gtk.pot ]; then
+    rm po/olive-gtk.pot
+    touch po/olive-gtk.pot
+else
+    touch po/olive-gtk.pot
+fi
+xgettext -L python -o po/olive-gtk.pot olive-gtk
+xgettext -j -o po/olive-gtk.pot olive.glade
+xgettext -j -o po/olive-gtk.pot *.py
+cd olive/
+xgettext -j -o ../po/olive-gtk.pot *.py
+#cd viz
+#xgettext -j -o ../../../../po/olive-gtk.pot *.py

=== renamed file 'bzr-handle-patch' => 'handle-patch'
--- bzr-handle-patch	2008-06-27 16:53:56 +0000
+++ handle-patch	2008-02-23 06:39:14 +0000
@@ -1,39 +1,2 @@
-#!/usr/bin/python
-
-from bzrlib import errors, merge_directive
-from bzrlib.plugin import load_plugins
-from bzrlib.plugins.gtk import open_display
-load_plugins()
-
-import sys
-
-if len(sys.argv) < 2:
-	print "Usage: handle-patch <path>"
-	sys.exit(1)
-
-
-path = sys.argv[1]
-
-try:
-	from bzrlib.plugins.gtk.diff import (DiffController,
-										 MergeDirectiveController)
-	if path == '-':
-		lines = sys.stdin.readlines()
-	else:
-		lines = open(path, 'rb').readlines()
-	lines = [l.replace('\r\n', '\n') for l in lines]
-	try:
-		directive = merge_directive.MergeDirective.from_lines(lines)
-	except errors.NotAMergeDirective:
-		controller = DiffController(path, lines)
-	else:
-		controller = MergeDirectiveController(path, directive)
-	window = controller.window
-	window.show()
-	gtk = open_display()
-	window.connect("destroy", gtk.main_quit)
-except Exception, e:
-	from dialog import error_dialog
-	error_dialog('Error', str(e))
-	raise
-gtk.main()
+#!/bin/sh
+/home/abentley/bin/bzr ghandle-patch "$@"

=== modified file 'initialize.py'
--- initialize.py	2008-05-05 18:16:46 +0000
+++ initialize.py	2007-04-06 17:48:23 +0000
@@ -30,7 +30,6 @@
 from bzrlib import bzrdir
 from bzrlib import transport
 import bzrlib.errors as errors
-from bzrlib.plugins.gtk import _i18n
 
 class InitDialog(gtk.Dialog):
     """ Initialize dialog. """
@@ -45,10 +44,10 @@
         self.path = path
         
         # Create the widgets
-        self._button_init = gtk.Button(_i18n("_Initialize"), use_underline=True)
-        self._label_question = gtk.Label(_i18n("Which directory do you want to initialize?"))
-        self._radio_current = gtk.RadioButton(None, _i18n("Current directory"))
-        self._radio_custom = gtk.RadioButton(self._radio_current, _i18n("Create a new directory with the name:"))
+        self._button_init = gtk.Button(_("_Initialize"), use_underline=True)
+        self._label_question = gtk.Label(_("Which directory do you want to initialize?"))
+        self._radio_current = gtk.RadioButton(None, _("Current directory"))
+        self._radio_custom = gtk.RadioButton(self._radio_current, _("Create a new directory with the name:"))
         self._entry_custom = gtk.Entry()
         self._hbox_custom = gtk.HBox()
         
@@ -83,8 +82,8 @@
     @show_bzr_error
     def _on_init_clicked(self, widget):
         if self._radio_custom.get_active() and len(self._entry_custom.get_text()) == 0:
-            error_dialog(_i18n("Directory name not specified"),
-                         _i18n("You should specify a new directory name."))
+            error_dialog(_("Directory name not specified"),
+                         _("You should specify a new directory name."))
             return
         
         if self._radio_current.get_active():

=== modified file 'merge.py'
--- merge.py	2008-05-05 18:16:46 +0000
+++ merge.py	2007-09-11 10:17:33 +0000
@@ -27,7 +27,6 @@
 
 from bzrlib.branch import Branch
 import bzrlib.errors as errors
-from bzrlib.plugins.gtk import _i18n
 
 from dialog import error_dialog, info_dialog, warning_dialog
 from errors import show_bzr_error
@@ -66,8 +65,8 @@
     def merge(self, widget):
         branch = self.entry.get_text()
         if branch == "":
-            error_dialog(_i18n('Branch not given'),
-                         _i18n('Please specify a branch to merge from.'))
+            error_dialog(_('Branch not given'),
+                         _('Please specify a branch to merge from.'))
             return
 
         other_branch = Branch.open_containing(branch)[0]
@@ -75,18 +74,18 @@
         try:
             conflicts = self.wt.merge_from_branch(other_branch)
         except errors.BzrCommandError, errmsg:
-            error_dialog(_i18n('Bazaar command error'), str(errmsg))
+            error_dialog(_('Bazaar command error'), str(errmsg))
             return
         
         self.close()
         if conflicts == 0:
             # No conflicts found.
-            info_dialog(_i18n('Merge successful'),
-                        _i18n('All changes applied successfully.'))
+            info_dialog(_('Merge successful'),
+                        _('All changes applied successfully.'))
         else:
             # There are conflicts to be resolved.
-            warning_dialog(_i18n('Conflicts encountered'),
-                           _i18n('Please resolve the conflicts manually before committing.'))
+            warning_dialog(_('Conflicts encountered'),
+                           _('Please resolve the conflicts manually before committing.'))
     
     def open(self, widget):
         fcd = gtk.FileChooserDialog(title="Please select a folder",

=== modified file 'nautilus-bzr.py'
--- nautilus-bzr.py	2008-05-05 18:16:46 +0000
+++ nautilus-bzr.py	2008-04-04 01:46:01 +0000
@@ -19,7 +19,7 @@
 from bzrlib.plugin import load_plugins
 load_plugins()
 
-from bzrlib.plugins.gtk import _i18n, cmd_visualise, cmd_gannotate
+from bzrlib.plugins.gtk import cmd_visualise, cmd_gannotate
 
 class BzrExtension(nautilus.MenuProvider, nautilus.ColumnProvider, nautilus.InfoProvider):
     def __init__(self):

=== removed file 'olive-gtk.1'
--- olive-gtk.1	2008-05-01 12:55:33 +0000
+++ olive-gtk.1	1970-01-01 00:00:00 +0000
@@ -1,15 +0,0 @@
-.TH OLIVE-GTK 1 "April 24, 2007"
-.SH NAME
-olive-gtk \- GTK+ frontend for Bazaar
-.SH SYNOPSIS
-.B olive-gtk
-.SH DESCRIPTION
-Olive aims to be a full-featured graphical frontend for the Bazaar (bzr)
-source code management tool.
-.SH SEE ALSO
-.BR bzr (1).
-.SH AUTHOR
-\fBolive-gtk\fP was written by Szilveszter Farkas <szilveszter.farkas@gmail.com>
-.PP
-This manual page was written by Chris Lamb <chris@chris-lamb.co.uk>,
-for the Debian project (but may be used by others).

=== modified file 'olive-gtk.desktop'
--- olive-gtk.desktop	2008-06-03 01:43:08 +0000
+++ olive-gtk.desktop	2007-09-02 15:26:42 +0000
@@ -9,4 +9,4 @@
 Comment[pl]=Graficzny interfejs dla systemu kontroli wersji Bazaar
 Icon=olive-gtk.png
 Exec=olive-gtk
-Categories=Application;Development;RevisionControl;GTK;GNOME;
+Categories=Application;Development;Qt;KDE;RevisionControl;

=== modified file 'olive/__init__.py'
--- olive/__init__.py	2008-06-23 08:05:19 +0000
+++ olive/__init__.py	2008-03-30 14:12:10 +0000
@@ -1,4 +1,5 @@
- #!/usr/bin/python
+﻿#!/usr/bin/python
+# -*- coding: UTF-8 -*-
 
 # Copyright (C) 2006 by Szilveszter Farkas (Phanatic) <szilveszter.farkas@gmail.com>
 #
@@ -41,7 +42,6 @@
 from bzrlib.ui import ui_factory
 from bzrlib.workingtree import WorkingTree
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog, info_dialog, warning_dialog
 from bzrlib.plugins.gtk.errors import show_bzr_error
 from guifiles import GLADEFILENAME
@@ -69,9 +69,9 @@
 
     # Set version
     dialog.set_version(__version__)
-    dialog.set_authors([ _i18n("Lead Developer:"),
+    dialog.set_authors([ _("Lead Developer:"),
 			 "Szilveszter Farkas <szilveszter.farkas@gmail.com>",
-			 _i18n("Contributors:"),
+			 _("Contributors:"),
 			 "Jelmer Vernooij <jelmer@samba.org>",
 			 "Mateusz Korniak <mateusz.korniak@ant.gliwice.pl>",
 			 "Gary van der Merwe <garyvdm@gmail.com>" ])
@@ -446,7 +446,7 @@
     @show_bzr_error
     def on_entry_history_revno_key_press_event(self, widget, event):
         """ Key pressed handler for the history entry. """
-        if event.keyval == gtk.gdk.keyval_from_name('Return') or event.keyval == gtk.gdk.keyval_from_name('KP_Enter'):
+        if event.keyval == 65293:
             # Return was hit, so we have to load that specific revision
             # Emulate being remote, so inventory should be used
             path = self.get_path()
@@ -461,7 +461,7 @@
     
     def on_entry_location_key_press_event(self, widget, event):
         """ Key pressed handler for the location entry. """
-        if event.keyval == gtk.gdk.keyval_from_name('Return') or event.keyval == gtk.gdk.keyval_from_name('KP_Enter'):
+        if event.keyval == 65293:
             # Return was hit, so we have to jump
             self.on_button_location_jump_clicked(widget)
     
@@ -537,8 +537,8 @@
         from bzrlib.plugins.gtk.merge import MergeDialog
         
         if self.check_for_changes():
-            error_dialog(_i18n('There are local changes in the branch'),
-                         _i18n('Please commit or revert the changes before merging.'))
+            error_dialog(_('There are local changes in the branch'),
+                         _('Please commit or revert the changes before merging.'))
         else:
             parent_branch_path = self.wt.branch.get_parent()
             merge = MergeDialog(self.wt, self.wtpath,default_branch_path=parent_branch_path )
@@ -553,8 +553,8 @@
         local_branch = self.wt.branch
         parent_branch_path = local_branch.get_parent()
         if parent_branch_path is None:
-            error_dialog(_i18n('Parent location is unknown'),
-                         _i18n('Cannot determine missing revisions if no parent location is known.'))
+            error_dialog(_('Parent location is unknown'),
+                         _('Cannot determine missing revisions if no parent location is known.'))
             return
         
         parent_branch = Branch.open(parent_branch_path)
@@ -576,32 +576,32 @@
             
             dlg_txt = ""
             if local_extra:
-                dlg_txt += _i18n('%d local extra revision(s). \n') % (len(local_extra),) 
+                dlg_txt += _('%d local extra revision(s). \n') % (len(local_extra),) 
                 ## NOTE: We do not want such ugly info about missing revisions
                 ##       Revision Browser should be used there
                 ## max_revisions = 10
                 ## for log_revision in iter_log_revisions(local_extra, local_branch.repository, verbose=1):
                 ##    dlg_txt += log_revision_one_line_text(log_revision)
                 ##    if max_revisions <= 0:
-                ##        dlg_txt += _i18n("more ... \n")
+                ##        dlg_txt += _("more ... \n")
                 ##        break
                 ## max_revisions -= 1
             ## dlg_txt += "\n"
             if remote_extra:
-                dlg_txt += _i18n('%d local missing revision(s).\n') % (len(remote_extra),) 
+                dlg_txt += _('%d local missing revision(s).\n') % (len(remote_extra),) 
                 ## max_revisions = 10
                 ## for log_revision in iter_log_revisions(remote_extra, parent_branch.repository, verbose=1):
                 ##    dlg_txt += log_revision_one_line_text(log_revision)
                 ##    if max_revisions <= 0:
-                ##        dlg_txt += _i18n("more ... \n")
+                ##        dlg_txt += _("more ... \n")
                 ##        break
                 ##    max_revisions -= 1
                 
-            info_dialog(_i18n('There are missing revisions'),
+            info_dialog(_('There are missing revisions'),
                         dlg_txt)
         else:
-            info_dialog(_i18n('Local branch up to date'),
-                        _i18n('There are no missing revisions.'))
+            info_dialog(_('Local branch up to date'),
+                        _('There are no missing revisions.'))
 
     @show_bzr_error
     def on_menuitem_branch_pull_activate(self, widget):
@@ -610,8 +610,8 @@
 
         location = branch_to.get_parent()
         if location is None:
-            error_dialog(_i18n('Parent location is unknown'),
-                                     _i18n('Pulling is not possible until there is a parent location.'))
+            error_dialog(_('Parent location is unknown'),
+                                     _('Pulling is not possible until there is a parent location.'))
             return
 
         branch_from = Branch.open(location)
@@ -621,7 +621,7 @@
 
         ret = branch_to.pull(branch_from)
         
-        info_dialog(_i18n('Pull successful'), _i18n('%d revision(s) pulled.') % ret)
+        info_dialog(_('Pull successful'), _('%d revision(s) pulled.') % ret)
         
     @show_bzr_error
     def on_menuitem_branch_update_activate(self, widget):
@@ -630,9 +630,9 @@
         ret = self.wt.update()
         conflicts = self.wt.conflicts()
         if conflicts:
-            info_dialog(_i18n('Update successful but conflicts generated'), _i18n('Number of conflicts generated: %d.') % (len(conflicts),) )
+            info_dialog(_('Update successful but conflicts generated'), _('Number of conflicts generated: %d.') % (len(conflicts),) )
         else:
-            info_dialog(_i18n('Update successful'), _i18n('No conflicts generated.') )
+            info_dialog(_('Update successful'), _('No conflicts generated.') )
     
     def on_menuitem_branch_push_activate(self, widget):
         """ Branch/Push... menu handler. """
@@ -646,11 +646,11 @@
         """ Branch/Revert all changes menu handler. """
         ret = self.wt.revert([])
         if ret:
-            warning_dialog(_i18n('Conflicts detected'),
-                           _i18n('Please have a look at the working tree before continuing.'))
+            warning_dialog(_('Conflicts detected'),
+                           _('Please have a look at the working tree before continuing.'))
         else:
-            info_dialog(_i18n('Revert successful'),
-                        _i18n('All files reverted to last revision.'))
+            info_dialog(_('Revert successful'),
+                        _('All files reverted to last revision.'))
         self.refresh_right()
     
     def on_menuitem_branch_status_activate(self, widget):
@@ -685,8 +685,8 @@
     def on_menuitem_file_annotate_activate(self, widget):
         """ File/Annotate... menu handler. """
         if self.get_selected_right() is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list.'))
             return
         
         branch = self.wt.branch
@@ -705,12 +705,12 @@
     def on_menuitem_file_bookmark_activate(self, widget):
         """ File/Bookmark current directory menu handler. """
         if self.pref.add_bookmark(self.path):
-            info_dialog(_i18n('Bookmark successfully added'),
-                        _i18n('The current directory was bookmarked. You can reach\nit by selecting it from the left panel.'))
+            info_dialog(_('Bookmark successfully added'),
+                        _('The current directory was bookmarked. You can reach\nit by selecting it from the left panel.'))
             self.pref.write()
         else:
-            warning_dialog(_i18n('Location already bookmarked'),
-                           _i18n('The current directory is already bookmarked.\nSee the left panel for reference.'))
+            warning_dialog(_('Location already bookmarked'),
+                           _('The current directory is already bookmarked.\nSee the left panel for reference.'))
         
         self.refresh_left()
     
@@ -940,14 +940,14 @@
         bookmarks = self.pref.get_bookmarks()
         
         # Add them to the TreeStore
-        titer = treestore.append(None, [_i18n('Bookmarks'), None])
+        titer = treestore.append(None, [_('Bookmarks'), None])
         for item in bookmarks:
             title = self.pref.get_bookmark_title(item)
             treestore.append(titer, [title, item])
         
         # Create the column and add it to the TreeView
         self.treeview_left.set_model(treestore)
-        tvcolumn_bookmark = gtk.TreeViewColumn(_i18n('Bookmark'))
+        tvcolumn_bookmark = gtk.TreeViewColumn(_('Bookmark'))
         self.treeview_left.append_column(tvcolumn_bookmark)
         
         # Set up the cells
@@ -1047,19 +1047,19 @@
                     self.wt.unlock()
             
             if status == 'renamed':
-                st = _i18n('renamed')
+                st = _('renamed')
             elif status == 'removed':
-                st = _i18n('removed')
+                st = _('removed')
             elif status == 'added':
-                st = _i18n('added')
+                st = _('added')
             elif status == 'modified':
-                st = _i18n('modified')
+                st = _('modified')
             elif status == 'unchanged':
-                st = _i18n('unchanged')
+                st = _('unchanged')
             elif status == 'ignored':
-                st = _i18n('ignored')
+                st = _('ignored')
             else:
-                st = _i18n('unknown')
+                st = _('unknown')
             
             try:
                 statinfo = os.stat(self.path + os.sep + item)
@@ -1081,10 +1081,10 @@
         
         # Create the columns and add them to the TreeView
         self.treeview_right.set_model(liststore)
-        self._tvcolumn_filename = gtk.TreeViewColumn(_i18n('Filename'))
-        self._tvcolumn_status = gtk.TreeViewColumn(_i18n('Status'))
-        self._tvcolumn_size = gtk.TreeViewColumn(_i18n('Size'))
-        self._tvcolumn_mtime = gtk.TreeViewColumn(_i18n('Last modified'))
+        self._tvcolumn_filename = gtk.TreeViewColumn(_('Filename'))
+        self._tvcolumn_status = gtk.TreeViewColumn(_('Status'))
+        self._tvcolumn_size = gtk.TreeViewColumn(_('Size'))
+        self._tvcolumn_mtime = gtk.TreeViewColumn(_('Last modified'))
         self.treeview_right.append_column(self._tvcolumn_filename)
         self.treeview_right.append_column(self._tvcolumn_status)
         self.treeview_right.append_column(self._tvcolumn_size)
@@ -1238,7 +1238,7 @@
         bookmarks = self.pref.get_bookmarks()
 
         # Add them to the TreeStore
-        titer = treestore.append(None, [_i18n('Bookmarks'), None])
+        titer = treestore.append(None, [_('Bookmarks'), None])
         for item in bookmarks:
             title = self.pref.get_bookmark_title(item)
             treestore.append(titer, [title, item])
@@ -1352,21 +1352,21 @@
                         self.wt.unlock()
                 
                 if status == 'renamed':
-                    st = _i18n('renamed')
+                    st = _('renamed')
                 elif status == 'removed':
-                    st = _i18n('removed')
+                    st = _('removed')
                 elif status == 'added':
-                    st = _i18n('added')
+                    st = _('added')
                 elif status == 'modified':
-                    st = _i18n('modified')
+                    st = _('modified')
                 elif status == 'unchanged':
-                    st = _i18n('unchanged')
+                    st = _('unchanged')
                 elif status == 'ignored':
-                    st = _i18n('ignored')
+                    st = _('ignored')
                     if not ignored_files:
                         continue
                 else:
-                    st = _i18n('unknown')
+                    st = _('unknown')
                 
                 try:
                     statinfo = os.stat(self.path + os.sep + item)

=== modified file 'olive/add.py'
--- olive/add.py	2008-05-05 18:16:46 +0000
+++ olive/add.py	2007-02-03 14:18:57 +0000
@@ -28,7 +28,6 @@
 import bzrlib.add
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
 from guifiles import GLADEFILENAME
 
@@ -65,8 +64,8 @@
             filename = self.selected
             
             if filename is None:
-                error_dialog(_i18n('No file was selected'),
-                             _i18n('Please select a file from the list,\nor choose the other option.'))
+                error_dialog(_('No file was selected'),
+                             _('Please select a file from the list,\nor choose the other option.'))
                 return
             
             fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
@@ -74,8 +73,8 @@
             try:
                 bzrlib.add.smart_add([fullpath])
             except errors.NotBranchError:
-                error_dialog(_i18n('Directory is not a branch'),
-                             _i18n('You can perform this action only in a branch.'))
+                error_dialog(_('Directory is not a branch'),
+                             _('You can perform this action only in a branch.'))
                 return
         elif radio_unknown.get_active():
             # Add unknown files recursively
@@ -84,8 +83,8 @@
             try:
                 bzrlib.add.smart_add([fullpath], True)
             except errors.NotBranchError:
-                error_dialog(_i18n('Directory is not a branch'),
-                             _i18n('You can perform this action only in a branch.'))
+                error_dialog(_('Directory is not a branch'),
+                             _('You can perform this action only in a branch.'))
                 return
         
         self.close()

=== modified file 'olive/bookmark.py'
--- olive/bookmark.py	2008-05-05 18:16:46 +0000
+++ olive/bookmark.py	2007-02-03 14:18:57 +0000
@@ -23,7 +23,6 @@
 import gtk
 
 from olive import Preferences
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
 
 
@@ -43,8 +42,8 @@
         self.selected = selected
         
         # Create widgets
-        self._label_location = gtk.Label(_i18n("Location:"))
-        self._label_title = gtk.Label(_i18n("Title:"))
+        self._label_location = gtk.Label(_("Location:"))
+        self._label_title = gtk.Label(_("Title:"))
         self._entry_location = gtk.Entry()
         self._entry_title = gtk.Entry()
         self._button_save = gtk.Button(stock=gtk.STOCK_SAVE)
@@ -79,8 +78,8 @@
     def _on_save_clicked(self, button):
         """ Save button clicked handler. """
         if self._entry_title.get_text() == '':
-            error_dialog(_i18n('No title given'),
-                         _i18n('Please specify a title to continue.'))
+            error_dialog(_('No title given'),
+                         _('Please specify a title to continue.'))
             return
         
         self.pref.set_bookmark_title(self._entry_location.get_text(),

=== modified file 'olive/guifiles.py'
--- olive/guifiles.py	2008-05-05 18:16:46 +0000
+++ olive/guifiles.py	2008-03-03 17:05:53 +0000
@@ -17,7 +17,6 @@
 import os
 import sys
 
-from bzrlib.plugins.gtk import _i18n
 
 GLADEFILENAMES = ["/usr/share/olive/olive.glade",
                   "/usr/local/share/olive/olive.glade",
@@ -45,7 +44,7 @@
 
 if GLADEFILENAME is None:
     # Fail
-    print _i18n('Glade file cannot be found.')
+    print _('Glade file cannot be found.')
     sys.exit(1)
 
 UIFILEDIR = os.path.dirname(GLADEFILENAME)
@@ -55,7 +54,7 @@
 
 if not os.path.isfile(UIFILENAME):
     # Fail
-    print _i18n('UI description file cannot be found.')
+    print _('UI description file cannot be found.')
     sys.exit(1)
 
 

=== modified file 'olive/info.py'
--- olive/info.py	2008-05-05 18:16:46 +0000
+++ olive/info.py	2007-05-17 16:12:27 +0000
@@ -25,7 +25,6 @@
 
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
 from guifiles import GLADEFILENAME
 
@@ -554,8 +553,8 @@
     def display(self):
         """ Display the Informations window. """
         if self.notbranch:
-            error_dialog(_i18n('Directory is not a branch'),
-                         _i18n('You can perform this action only in a branch.'))
+            error_dialog(_('Directory is not a branch'),
+                         _('You can perform this action only in a branch.'))
             self.close()
         else:
             self.window.show()

=== modified file 'olive/menu.py'
--- olive/menu.py	2008-05-05 18:18:08 +0000
+++ olive/menu.py	2007-10-26 16:18:50 +0000
@@ -30,14 +30,13 @@
 import bzrlib.errors as errors
 from bzrlib.workingtree import WorkingTree
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog, info_dialog, question_dialog, warning_dialog
 from bzrlib.plugins.gtk.errors import show_bzr_error
 from bzrlib.plugins.gtk.annotate.gannotate import GAnnotateWindow
 from bzrlib.plugins.gtk.annotate.config import GAnnotateConfig
 from bzrlib.plugins.gtk.diff import DiffWindow
 from launch import launch
-from bzrlib.plugins.gtk.olive import Preferences
+from olive import Preferences
 
 class OliveMenu:
     """ This class is responsible for building the context menus. """
@@ -60,76 +59,76 @@
         
         self.actiongroup = gtk.ActionGroup('context')
         self.actiongroup.add_actions([('add', gtk.STOCK_ADD,
-                                       _i18n('Add'), None,
-                                       _i18n('Add the selected file'),
+                                       _('Add'), None,
+                                       _('Add the selected file'),
                                        self.add_file),
                                       ('remove', gtk.STOCK_REMOVE,
-                                       _i18n('Remove'), None,
-                                       _i18n('Remove the selected file'),
+                                       _('Remove'), None,
+                                       _('Remove the selected file'),
                                        self.remove_file),
                                       ('remove_and_delete', gtk.STOCK_REMOVE,
-                                       _i18n('Remove and delete'), None,
-                                       _i18n('Remove the selected file/dir and delete from disk'),
+                                       _('Remove and delete'), None,
+                                       _('Remove the selected file/dir and delete from disk'),
                                        self.remove_and_delete_file),
                                       ('rename', None,
-                                       _i18n('Rename'), None,
-                                       _i18n('Rename the selected file'),
+                                       _('Rename'), None,
+                                       _('Rename the selected file'),
                                        self.rename_file),
                                       ('open', gtk.STOCK_OPEN,
-                                       _i18n('Open'), None,
-                                       _i18n('Open the selected file'),
+                                       _('Open'), None,
+                                       _('Open the selected file'),
                                        self.open_file),
                                       ('revert', None,
-                                       _i18n('Revert'), None,
-                                       _i18n('Revert the changes'),
+                                       _('Revert'), None,
+                                       _('Revert the changes'),
                                        self.revert),
                                       ('commit', None,
-                                       _i18n('Commit'), None,
-                                       _i18n('Commit the changes'),
+                                       _('Commit'), None,
+                                       _('Commit the changes'),
                                        self.commit),
                                       ('annotate', None,
-                                       _i18n('Annotate'), None,
-                                       _i18n('Annotate the selected file'),
+                                       _('Annotate'), None,
+                                       _('Annotate the selected file'),
                                        self.annotate),
                                       ('diff', None,
-                                       _i18n('Diff'), None,
-                                       _i18n('Show the diff of the file'),
+                                       _('Diff'), None,
+                                       _('Show the diff of the file'),
                                        self.diff),
                                       ('bookmark', None,
-                                       _i18n('Bookmark'), None,
-                                       _i18n('Bookmark current location'),
+                                       _('Bookmark'), None,
+                                       _('Bookmark current location'),
                                        self.bookmark),
                                       ('edit_bookmark', gtk.STOCK_EDIT,
-                                       _i18n('Edit'), None,
-                                       _i18n('Edit the selected bookmark'),
+                                       _('Edit'), None,
+                                       _('Edit the selected bookmark'),
                                        self.edit_bookmark),
                                       ('remove_bookmark', gtk.STOCK_REMOVE,
-                                       _i18n('Remove'), None,
-                                       _i18n('Remove the selected bookmark'),
+                                       _('Remove'), None,
+                                       _('Remove the selected bookmark'),
                                        self.remove_bookmark),
                                       ('open_folder', gtk.STOCK_OPEN,
-                                       _i18n('Open Folder'), None,
-                                       _i18n('Open bookmark folder in Nautilus'),
+                                       _('Open Folder'), None,
+                                       _('Open bookmark folder in Nautilus'),
                                        self.open_folder),
                                       ('diff_selected', None,
-                                       _i18n('Selected...'), None,
-                                       _i18n('Show the differences of the selected file'),
+                                       _('Selected...'), None,
+                                       _('Show the differences of the selected file'),
                                        self.diff_selected),
                                       ('diff_all', None,
-                                       _i18n('All...'), None,
-                                       _i18n('Show the differences of all files'),
+                                       _('All...'), None,
+                                       _('Show the differences of all files'),
                                        self.diff_all),
                                       ('view_remote', None,
-                                       _i18n('View contents'), None,
-                                       _i18n('View the contents of the file in a builtin viewer'),
+                                       _('View contents'), None,
+                                       _('View the contents of the file in a builtin viewer'),
                                        self.view_remote),
                                       ('diff_remote', None,
-                                       _i18n('Show differences'), None,
-                                       _i18n('Show the differences between two revisions of the file'),
+                                       _('Show differences'), None,
+                                       _('Show the differences between two revisions of the file'),
                                        self.diff_remote),
                                       ('revert_remote', None,
-                                       _i18n('Revert to this revision'), None,
-                                       _i18n('Revert the selected file to the selected revision'),
+                                       _('Revert to this revision'), None,
+                                       _('Revert the selected file to the selected revision'),
                                        self.revert_remote)
                                      ])
         
@@ -175,8 +174,8 @@
         filename = self.selected
             
         if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list,\nor choose the other option.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list,\nor choose the other option.'))
             return
         
         bzrlib.add.smart_add([os.path.join(directory, filename)])
@@ -188,8 +187,8 @@
         filename = self.selected
         
         if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list.'))
             return
         
         wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
@@ -215,8 +214,8 @@
         filename = self.selected
         
         if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list,\nor choose the other option.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list,\nor choose the other option.'))
             return
         
         wt, path = WorkingTree.open_containing(os.path.join(directory, filename))
@@ -225,7 +224,7 @@
         if delete_on_disk:
             abs_filename = os.path.join(directory,filename)
             if os.path.isdir(abs_filename):
-                response = question_dialog(_i18n('Delete directory with all directories below ?'), abs_filename )
+                response = question_dialog(_('Delete directory with all directories below ?'), abs_filename )
                 if response == gtk.RESPONSE_YES:
                     shutil.rmtree(abs_filename)
             else:
@@ -251,8 +250,8 @@
         filename = self.selected
         
         if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list,\nor choose the other option.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list,\nor choose the other option.'))
             return
 
         if filename == '..':
@@ -272,11 +271,11 @@
         wt, path = WorkingTree.open_containing(self.path)
         ret = wt.revert([os.path.join(path, self.selected)])
         if ret:
-            warning_dialog(_i18n('Conflicts detected'),
-                           _i18n('Please have a look at the working tree before continuing.'))
+            warning_dialog(_('Conflicts detected'),
+                           _('Please have a look at the working tree before continuing.'))
         else:
-            info_dialog(_i18n('Revert successful'),
-                        _i18n('All files reverted to last revision.'))
+            info_dialog(_('Revert successful'),
+                        _('All files reverted to last revision.'))
         self.app.refresh_right()       
     
     def commit(self, action):
@@ -316,12 +315,12 @@
     def bookmark(self, action):
         """ Right context menu -> Bookmark """
         if self.pref.add_bookmark(self.path):
-            info_dialog(_i18n('Bookmark successfully added'),
-                        _i18n('The current directory was bookmarked. You can reach\nit by selecting it from the left panel.'))
+            info_dialog(_('Bookmark successfully added'),
+                        _('The current directory was bookmarked. You can reach\nit by selecting it from the left panel.'))
             self.pref.write()
         else:
-            warning_dialog(_i18n('Location already bookmarked'),
-                           _i18n('The current directory is already bookmarked.\nSee the left panel for reference.'))
+            warning_dialog(_('Location already bookmarked'),
+                           _('The current directory is already bookmarked.\nSee the left panel for reference.'))
         
         self.app.refresh_left()
 

=== modified file 'olive/mkdir.py'
--- olive/mkdir.py	2008-05-05 18:16:46 +0000
+++ olive/mkdir.py	2007-02-03 15:24:48 +0000
@@ -27,7 +27,6 @@
 
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog, warning_dialog
 from guifiles import GLADEFILENAME
 
@@ -65,8 +64,8 @@
         dirname = entry.get_text()
         
         if dirname == "":
-            error_dialog(_i18n('No directory name given'),
-                         _i18n('Please specify a desired name for the new directory.'))
+            error_dialog(_('No directory name given'),
+                         _('Please specify a desired name for the new directory.'))
             return
         
         if checkbox.get_active():
@@ -77,8 +76,8 @@
                 self.wt.add([os.path.join(self.wtpath, dirname)])
             except OSError, e:
                 if e.errno == 17:
-                    error_dialog(_i18n('Directory already exists'),
-                                 _i18n('Please specify another name to continue.'))
+                    error_dialog(_('Directory already exists'),
+                                 _('Please specify another name to continue.'))
                 else:
                     raise
         else:
@@ -87,8 +86,8 @@
                 os.mkdir(os.path.join(self.wt.basedir, self.wtpath, dirname))
             except OSError, e:
                 if e.errno == 17:
-                    error_dialog(_i18n('Directory already exists'),
-                                 _i18n('Please specify another name to continue.'))
+                    error_dialog(_('Directory already exists'),
+                                 _('Please specify another name to continue.'))
                     return
 
         self.close()

=== modified file 'olive/move.py'
--- olive/move.py	2008-05-05 18:16:46 +0000
+++ olive/move.py	2007-02-03 14:18:57 +0000
@@ -29,7 +29,6 @@
 import bzrlib.errors as errors
 from bzrlib.workingtree import WorkingTree
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog
 from errors import show_bzr_error
 from guifiles import GLADEFILENAME
@@ -77,8 +76,8 @@
         filename = self.selected
             
         if filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list to proceed.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list to proceed.'))
             return
         
         source = os.path.join(self.wtpath, filename)
@@ -87,8 +86,8 @@
         wt1, path1 = WorkingTree.open_containing(self.wt.abspath(source))
         wt2, path2 = WorkingTree.open_containing(destination)
         if wt1.basedir != wt2.basedir:
-            error_dialog(_i18n('Not the same branch'),
-                         _i18n('The destination is not in the same branch.'))
+            error_dialog(_('Not the same branch'),
+                         _('The destination is not in the same branch.'))
             return
 
         wt1.move([source], wt1.relpath(destination))

=== modified file 'olive/remove.py'
--- olive/remove.py	2008-05-05 18:16:46 +0000
+++ olive/remove.py	2007-02-03 14:18:57 +0000
@@ -27,7 +27,6 @@
 
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import error_dialog, warning_dialog
 from guifiles import GLADEFILENAME
 
@@ -65,8 +64,8 @@
             filename = self.selected
             
             if filename is None:
-                error_dialog(_i18n('No file was selected'),
-                             _i18n('Please select a file from the list,\nor choose the other option.'))
+                error_dialog(_('No file was selected'),
+                             _('Please select a file from the list,\nor choose the other option.'))
                 return
             
             fullpath = self.wt.abspath(os.path.join(self.wtpath, filename))
@@ -77,8 +76,8 @@
             added = self.wt.changes_from(self.wt.basis_tree()).added
             file_list = sorted([f[0] for f in added], reverse=True)
             if len(file_list) == 0:
-                warning_dialog(_i18n('No matching files'),
-                               _i18n('No added files were found in the working tree.'))
+                warning_dialog(_('No matching files'),
+                               _('No added files were found in the working tree.'))
                 return
             self.wt.remove(file_list)
         
@@ -103,10 +102,10 @@
         self.selected = selected
         
         # Create widgets
-        self._label = gtk.Label(_i18n("Which file(s) do you want to remove?"))
-        self._radio_selected = gtk.RadioButton(None, _i18n("Selected only"), False)
-        self._radio_added = gtk.RadioButton(self._radio_selected, _i18n("All files with status 'added'"), False)
-        self._button_remove = gtk.Button(_i18n("_Remove"), use_underline=True)
+        self._label = gtk.Label(_("Which file(s) do you want to remove?"))
+        self._radio_selected = gtk.RadioButton(None, _("Selected only"), False)
+        self._radio_added = gtk.RadioButton(self._radio_selected, _("All files with status 'added'"), False)
+        self._button_remove = gtk.Button(_("_Remove"), use_underline=True)
         
         self._button_remove.connect('clicked', self._on_remove_clicked)
         
@@ -127,8 +126,8 @@
             filename = self.selected
             
             if filename is None:
-                error_dialog(_i18n('No file was selected'),
-                             _i18n('Please select a file from the list,\nor choose the other option.'))
+                error_dialog(_('No file was selected'),
+                             _('Please select a file from the list,\nor choose the other option.'))
                 return
             
             self.wt.remove(os.path.join(self.wtpath, filename))
@@ -137,8 +136,8 @@
             added = self.wt.changes_from(self.wt.basis_tree()).added
             file_list = sorted([f[0] for f in added], reverse=True)
             if len(file_list) == 0:
-                warning_dialog(_i18n('No matching files'),
-                               _i18n('No added files were found in the working tree.'))
+                warning_dialog(_('No matching files'),
+                               _('No added files were found in the working tree.'))
                 return
             self.wt.remove(file_list)
         

=== modified file 'olive/rename.py'
--- olive/rename.py	2008-05-05 18:16:46 +0000
+++ olive/rename.py	2007-07-19 14:08:51 +0000
@@ -31,7 +31,6 @@
 from errors import show_bzr_error
 from bzrlib.plugins.gtk.dialog import error_dialog
 from guifiles import GLADEFILENAME
-from bzrlib.plugins.gtk import _i18n
 
 
 class OliveRename:
@@ -68,13 +67,13 @@
         new_filename = self.entry.get_text()
             
         if old_filename is None:
-            error_dialog(_i18n('No file was selected'),
-                         _i18n('Please select a file from the list to proceed.'))
+            error_dialog(_('No file was selected'),
+                         _('Please select a file from the list to proceed.'))
             return
         
         if new_filename == "":
-            error_dialog(_i18n('Filename not given'),
-                         _i18n('Please specify a new name for the file.'))
+            error_dialog(_('Filename not given'),
+                         _('Please specify a new name for the file.'))
             return
         
         source = os.path.join(self.wtpath, old_filename)
@@ -85,8 +84,8 @@
         wt2, path2 = WorkingTree.open_containing(self.wt.abspath(source))
 
         if wt1.basedir != wt2.basedir:
-            error_dialog(_i18n('Not the same branch'),
-                         _i18n('The destination is not in the same branch.'))
+            error_dialog(_('Not the same branch'),
+                         _('The destination is not in the same branch.'))
             return
         wt1.rename_one(source, destination)
         self.close()

=== modified file 'po/olive-gtk.pot'
--- po/olive-gtk.pot	2008-05-05 18:16:46 +0000
+++ po/olive-gtk.pot	2007-08-13 10:08:10 +0000
@@ -8,7 +8,7 @@
 msgstr ""
 "Project-Id-Version: PACKAGE VERSION\n"
 "Report-Msgid-Bugs-To: \n"
-"POT-Creation-Date: 2008-05-05 20:10+0200\n"
+"POT-Creation-Date: 2007-08-13 12:05+0200\n"
 "PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
@@ -16,80 +16,76 @@
 "Content-Type: text/plain; charset=CHARSET\n"
 "Content-Transfer-Encoding: 8bit\n"
 
-#: branch.py:52 olive.glade:151 olive.glade:167
+#: branch.py:52 olive.glade:151
 msgid "_Branch"
 msgstr ""
 
-#: branch.py:55 checkout.py:53 branch.py:60 checkout.py:54
+#: branch.py:55 checkout.py:53
 msgid "Please select a folder"
 msgstr ""
 
-#: branch.py:57 checkout.py:55 branch.py:55 checkout.py:56
+#: branch.py:57 checkout.py:55
 msgid "Branch location:"
 msgstr ""
 
-#: branch.py:58 checkout.py:56 branch.py:57 checkout.py:57
+#: branch.py:58 checkout.py:56
 msgid "Destination:"
 msgstr ""
 
-#: branch.py:59 checkout.py:57 branch.py:58 checkout.py:58
+#: branch.py:59 checkout.py:57
 msgid "Branck nick:"
 msgstr ""
 
-#: branch.py:60 checkout.py:58 branch.py:59 checkout.py:59
+#: branch.py:60 checkout.py:58
 msgid "Revision:"
 msgstr ""
 
-#: branch.py:162 checkout.py:163 branch.py:140 checkout.py:164
+#: branch.py:162 checkout.py:163
 msgid "Missing branch location"
 msgstr ""
 
-#: branch.py:163 checkout.py:164 branch.py:141 checkout.py:165
+#: branch.py:163 checkout.py:164
 msgid "You must specify a branch location."
 msgstr ""
 
-#: branch.py:205 branch.py:182
+#: branch.py:205
 msgid "Branching successful"
 msgstr ""
 
-#: branch.py:206 branch.py:183
+#: branch.py:206
 #, python-format
 msgid "%d revision(s) branched."
 msgstr ""
 
-#: branch.py:214 checkout.py:195 branch.py:191 checkout.py:196
+#: branch.py:214 checkout.py:195
 msgid "N/A"
 msgstr ""
 
-#: checkout.py:50 checkout.py:51
+#: checkout.py:50
 msgid "Check_out"
 msgstr ""
 
-#: checkout.py:62 checkout.py:63
+#: checkout.py:62
 msgid "_Lightweight checkout"
 msgstr ""
 
-#: commit.py:68 __init__.py:362
+#: commit.py:68
 msgid "Directory does not have a working tree"
 msgstr ""
 
-#: commit.py:69 __init__.py:363
+#: commit.py:69
 msgid "Operation aborted."
 msgstr ""
 
-#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556 olive/add.py:76
-#: olive/add.py:86 olive/info.py:556 errors.py:28 olive/add.py:77
-#: olive/add.py:87 olive/info.py:557
+#: commit.py:74 errors.py:26 add.py:76 add.py:86 info.py:556
 msgid "Directory is not a branch"
 msgstr ""
 
-#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557 olive/add.py:77
-#: olive/add.py:87 olive/info.py:557 errors.py:29 olive/add.py:78
-#: olive/add.py:88 olive/info.py:558
+#: commit.py:75 errors.py:27 add.py:77 add.py:87 info.py:557
 msgid "You can perform this action only in a branch."
 msgstr ""
 
-#: commit.py:88 commit.py:337 commit.py:338
+#: commit.py:88
 msgid "Comm_it"
 msgstr ""
 
@@ -105,27 +101,27 @@
 msgid "Pending merges"
 msgstr ""
 
-#: commit.py:147 commit.py:310 commit.py:311
+#: commit.py:147
 msgid "_Only commit locally"
 msgstr ""
 
-#: commit.py:215 commit.py:650 commit.py:652
+#: commit.py:215
 msgid "Commit with an empty message?"
 msgstr ""
 
-#: commit.py:216 commit.py:651 commit.py:653
+#: commit.py:216
 msgid "You can describe your commit intent in the message."
 msgstr ""
 
-#: commit.py:228 commit.py:670 commit.py:672
+#: commit.py:228
 msgid "Commit with unknowns?"
 msgstr ""
 
-#: commit.py:229 commit.py:671 commit.py:673
+#: commit.py:229
 msgid "Unknown files exist in the working tree. Commit anyway?"
 msgstr ""
 
-#: commit.py:240 commit.py:689 commit.py:691
+#: commit.py:240
 msgid "Commit with no changes?"
 msgstr ""
 
@@ -133,360 +129,340 @@
 msgid "There are no changes in the working tree."
 msgstr ""
 
-#: commit.py:323 menu.py:87 commit.py:415 olive/menu.py:86 commit.py:416
-#: olive/menu.py:87
+#: commit.py:323 menu.py:87
 msgid "Commit"
 msgstr ""
 
-#: commit.py:325 conflicts.py:108 commit.py:419 conflicts.py:109 commit.py:420
-#: conflicts.py:110
+#: commit.py:325 conflicts.py:108
 msgid "Path"
 msgstr ""
 
-#: commit.py:327 conflicts.py:110 commit.py:421 conflicts.py:111 commit.py:422
-#: conflicts.py:112
+#: commit.py:327 conflicts.py:110
 msgid "Type"
 msgstr ""
 
 #: commit.py:334 commit.py:336 commit.py:338 __init__.py:940 __init__.py:1227
-#: commit.py:167 olive/__init__.py:1053 olive/__init__.py:1358 commit.py:168
-#: olive/__init__.py:1054 olive/__init__.py:1359
 msgid "added"
 msgstr ""
 
 #: commit.py:344 commit.py:346 commit.py:348 __init__.py:938 __init__.py:1225
-#: commit.py:168 olive/__init__.py:1051 olive/__init__.py:1356 commit.py:169
-#: olive/__init__.py:1052 olive/__init__.py:1357
 msgid "removed"
 msgstr ""
 
-#: commit.py:353 commit.py:170 commit.py:171
+#: commit.py:353
 msgid "renamed and modified"
 msgstr ""
 
-#: commit.py:355 __init__.py:936 __init__.py:1223 commit.py:169
-#: olive/__init__.py:1049 olive/__init__.py:1354 commit.py:170
-#: olive/__init__.py:1050 olive/__init__.py:1355
+#: commit.py:355 __init__.py:936 __init__.py:1223
 msgid "renamed"
 msgstr ""
 
 #: commit.py:380 commit.py:382 commit.py:384 __init__.py:942 __init__.py:1229
-#: commit.py:171 olive/__init__.py:1055 olive/__init__.py:1360 commit.py:172
-#: olive/__init__.py:1056 olive/__init__.py:1361
 msgid "modified"
 msgstr ""
 
-#: commit.py:395 commit.py:480 commit.py:481
+#: commit.py:395
 msgid "Date"
 msgstr ""
 
-#: commit.py:397 revbrowser.py:68 commit.py:482 commit.py:483
+#: commit.py:397 revbrowser.py:68
 msgid "Committer"
 msgstr ""
 
-#: commit.py:399 revbrowser.py:66 commit.py:484 commit.py:485
+#: commit.py:399 revbrowser.py:66
 msgid "Summary"
 msgstr ""
 
-#: conflicts.py:48 conflicts.py:49
+#: conflicts.py:48
 msgid "External utility:"
 msgstr ""
 
-#: conflicts.py:99 conflicts.py:100
+#: conflicts.py:99
 msgid "Conflicts"
 msgstr ""
 
-#: conflicts.py:102 conflicts.py:103
+#: conflicts.py:102
 msgid "No conflicts in working tree."
 msgstr ""
 
-#: conflicts.py:115 conflicts.py:116 conflicts.py:117
+#: conflicts.py:115
 msgid "path conflict"
 msgstr ""
 
-#: conflicts.py:117 conflicts.py:118 conflicts.py:119
+#: conflicts.py:117
 msgid "contents conflict"
 msgstr ""
 
-#: conflicts.py:119 conflicts.py:120 conflicts.py:121
+#: conflicts.py:119
 msgid "text conflict"
 msgstr ""
 
-#: conflicts.py:121 conflicts.py:122 conflicts.py:123
+#: conflicts.py:121
 msgid "duplicate id"
 msgstr ""
 
-#: conflicts.py:123 conflicts.py:124 conflicts.py:125
+#: conflicts.py:123
 msgid "duplicate"
 msgstr ""
 
-#: conflicts.py:125 conflicts.py:126 conflicts.py:127
+#: conflicts.py:125
 msgid "parent loop"
 msgstr ""
 
-#: conflicts.py:127 conflicts.py:128 conflicts.py:129
+#: conflicts.py:127
 msgid "unversioned parent"
 msgstr ""
 
-#: conflicts.py:129 conflicts.py:130 conflicts.py:131
+#: conflicts.py:129
 msgid "missing parent"
 msgstr ""
 
-#: conflicts.py:131 conflicts.py:132 conflicts.py:133
+#: conflicts.py:131
 msgid "deleting parent"
 msgstr ""
 
-#: conflicts.py:133 conflicts.py:134 conflicts.py:135
+#: conflicts.py:133
 msgid "unknown type of conflict"
 msgstr ""
 
 #: conflicts.py:162 __init__.py:614 add.py:67 menu.py:178 menu.py:191
 #: menu.py:218 menu.py:254 move.py:79 remove.py:67 remove.py:129 rename.py:70
-#: conflicts.py:163 olive/__init__.py:687 olive/add.py:67 olive/menu.py:177
-#: olive/menu.py:190 olive/menu.py:217 olive/menu.py:253 olive/move.py:79
-#: olive/remove.py:67 olive/remove.py:129 olive/rename.py:70 conflicts.py:164
-#: olive/__init__.py:688 olive/add.py:68 olive/menu.py:178 olive/menu.py:191
-#: olive/menu.py:218 olive/menu.py:254 olive/move.py:80 olive/remove.py:68
-#: olive/remove.py:130 olive/rename.py:71
 msgid "No file was selected"
 msgstr ""
 
-#: conflicts.py:163 __init__.py:615 menu.py:192 conflicts.py:164
-#: olive/__init__.py:688 olive/menu.py:191 conflicts.py:165
-#: olive/__init__.py:689 olive/menu.py:192
+#: conflicts.py:163 __init__.py:615 menu.py:192
 msgid "Please select a file from the list."
 msgstr ""
 
-#: conflicts.py:173 conflicts.py:174 conflicts.py:175
+#: conflicts.py:173
 msgid "Call to external utility failed"
 msgstr ""
 
-#: conflicts.py:175 conflicts.py:176 conflicts.py:177
+#: conflicts.py:175
 msgid "Cannot resolve conflict"
 msgstr ""
 
-#: conflicts.py:176 conflicts.py:177 conflicts.py:178
+#: conflicts.py:176
 msgid ""
 "Only conflicts on the text of files can be resolved with Olive at the "
 "moment. Content conflicts, on the structure of the tree, need to be resolved "
 "using the command line."
 msgstr ""
 
-#: errors.py:29 errors.py:31
+#: errors.py:29
 msgid "Directory is not a checkout"
 msgstr ""
 
-#: errors.py:30 errors.py:32
+#: errors.py:30
 msgid "You can perform local commit only on checkouts."
 msgstr ""
 
-#: errors.py:32 errors.py:34
+#: errors.py:32
 msgid "No changes to commit"
 msgstr ""
 
-#: errors.py:33 errors.py:35
+#: errors.py:33
 msgid "Try force commit if you want to commit anyway."
 msgstr ""
 
-#: errors.py:35 errors.py:37
+#: errors.py:35
 msgid "Conflicts in tree"
 msgstr ""
 
-#: errors.py:36 errors.py:38
+#: errors.py:36
 msgid "You need to resolve the conflicts before committing."
 msgstr ""
 
-#: errors.py:38 errors.py:40
+#: errors.py:38
 msgid "Strict commit failed"
 msgstr ""
 
-#: errors.py:39 errors.py:41
+#: errors.py:39
 msgid ""
 "There are unknown files in the working tree.\n"
 "Please add or delete them."
 msgstr ""
 
-#: errors.py:41 errors.py:43
+#: errors.py:41
 msgid "Bound branch is out of date"
 msgstr ""
 
-#: errors.py:42 errors.py:45
+#: errors.py:42
 #, python-format
 msgid "%s"
 msgstr ""
 
-#: errors.py:44 errors.py:47
+#: errors.py:44
 msgid "File not versioned"
 msgstr ""
 
-#: errors.py:45 errors.py:48
+#: errors.py:45
 msgid "The selected file is not versioned."
 msgstr ""
 
-#: errors.py:47 push.py:105 errors.py:50 push.py:106
+#: errors.py:47 push.py:105
 msgid "Branches have been diverged"
 msgstr ""
 
-#: errors.py:48 errors.py:51
+#: errors.py:48
 msgid ""
 "You cannot push if branches have diverged. Use the\n"
 "overwrite option if you want to push anyway."
 msgstr ""
 
-#: errors.py:50 errors.py:53
+#: errors.py:50
 msgid "No diff output"
 msgstr ""
 
-#: errors.py:51 errors.py:54
+#: errors.py:51
 msgid "The selected file hasn't changed."
 msgstr ""
 
-#: errors.py:53 errors.py:56
+#: errors.py:53
 msgid "No such revision"
 msgstr ""
 
-#: errors.py:54 errors.py:57
+#: errors.py:54
 msgid "The revision you specified doesn't exist."
 msgstr ""
 
-#: errors.py:56 errors.py:59
+#: errors.py:56
 msgid "Target already exists"
 msgstr ""
 
-#: errors.py:57 errors.py:60
+#: errors.py:57
 msgid "Target directory already exists. Please select another target."
 msgstr ""
 
-#: errors.py:59 errors.py:62
+#: errors.py:59
 msgid "Directory is already a branch"
 msgstr ""
 
-#: errors.py:60 errors.py:63
+#: errors.py:60
 #, python-format
 msgid ""
 "The current directory (%s) is already a branch.\n"
 "You can start using it, or initialize another directory."
 msgstr ""
 
-#: errors.py:62 errors.py:65
+#: errors.py:62
 msgid "Branch without a working tree"
 msgstr ""
 
-#: errors.py:63 errors.py:66
+#: errors.py:63
 #, python-format
 msgid ""
 "The current directory (%s)\n"
 "is a branch without a working tree."
 msgstr ""
 
-#: errors.py:65 errors.py:68
+#: errors.py:65
 msgid "Unknown bzr error"
 msgstr ""
 
-#: errors.py:67 errors.py:70
+#: errors.py:67
 msgid "Permission denied"
 msgstr ""
 
-#: errors.py:67 errors.py:70
+#: errors.py:67
 msgid "permission denied."
 msgstr ""
 
-#: errors.py:69 errors.py:72
+#: errors.py:69
 msgid "Unknown error"
 msgstr ""
 
-#: initialize.py:47 initialize.py:48
+#: initialize.py:47
 msgid "_Initialize"
 msgstr ""
 
-#: initialize.py:48 initialize.py:49
+#: initialize.py:48
 msgid "Which directory do you want to initialize?"
 msgstr ""
 
-#: initialize.py:49 initialize.py:50
+#: initialize.py:49
 msgid "Current directory"
 msgstr ""
 
-#: initialize.py:50 initialize.py:51
+#: initialize.py:50
 msgid "Create a new directory with the name:"
 msgstr ""
 
-#: initialize.py:85 initialize.py:86
+#: initialize.py:85
 msgid "Directory name not specified"
 msgstr ""
 
-#: initialize.py:86 initialize.py:87
+#: initialize.py:86
 msgid "You should specify a new directory name."
 msgstr ""
 
-#: merge.py:66 merge.py:68 merge.py:69
+#: merge.py:66
 msgid "Branch not given"
 msgstr ""
 
-#: merge.py:67 merge.py:69 merge.py:70
+#: merge.py:67
 msgid "Please specify a branch to merge from."
 msgstr ""
 
-#: merge.py:75 merge.py:77 merge.py:78
+#: merge.py:75
 msgid "Bazaar command error"
 msgstr ""
 
-#: merge.py:81 diff.py:513 merge.py:83 diff.py:514 merge.py:84
+#: merge.py:81
 msgid "Merge successful"
 msgstr ""
 
-#: merge.py:82 diff.py:514 merge.py:84 diff.py:515 merge.py:85
+#: merge.py:82
 msgid "All changes applied successfully."
 msgstr ""
 
-#: merge.py:85 diff.py:517 merge.py:87 diff.py:518 merge.py:88
+#: merge.py:85
 msgid "Conflicts encountered"
 msgstr ""
 
-#: merge.py:86 diff.py:518 merge.py:88 diff.py:519 merge.py:89
+#: merge.py:86
 msgid "Please resolve the conflicts manually before committing."
 msgstr ""
 
-#: push.py:52 bookmark.py:45 olive/bookmark.py:45 push.py:53
-#: olive/bookmark.py:46
+#: push.py:52 bookmark.py:45
 msgid "Location:"
 msgstr ""
 
-#: push.py:54 push.py:55
+#: push.py:54
 msgid "_Push"
 msgstr ""
 
-#: push.py:97 push.py:98
+#: push.py:97
 msgid "Set default push location"
 msgstr ""
 
-#: push.py:98 push.py:99
+#: push.py:98
 #, python-format
 msgid ""
 "There is no default push location set.\n"
 "Set %r as default now?"
 msgstr ""
 
-#: push.py:106 push.py:107
+#: push.py:106
 msgid ""
 "You cannot push if branches have diverged.\n"
 "Overwrite?"
 msgstr ""
 
-#: push.py:112 push.py:111
+#: push.py:112
 msgid "Push successful"
 msgstr ""
 
-#: push.py:113 push.py:112
+#: push.py:113
 #, python-format
 msgid "%d revision(s) pushed."
 msgstr ""
 
-#: push.py:146 push.py:145
+#: push.py:146
 msgid "Non existing parent directory"
 msgstr ""
 
-#: push.py:147 push.py:146
+#: push.py:147
 #, python-format
 msgid ""
 "The parent directory (%s)\n"
@@ -497,7 +473,7 @@
 msgid "Please wait, revisions are being loaded..."
 msgstr ""
 
-#: revbrowser.py:48 revbrowser.py:44 revbrowser.py:45
+#: revbrowser.py:48
 msgid "_Select"
 msgstr ""
 
@@ -509,101 +485,100 @@
 msgid "Time"
 msgstr ""
 
-#: status.py:78 status.py:82 status.py:84
+#: status.py:78
 msgid "Added"
 msgstr ""
 
-#: status.py:84 status.py:88 status.py:90
+#: status.py:84
 msgid "Removed"
 msgstr ""
 
-#: status.py:90 status.py:94 status.py:96
+#: status.py:90
 msgid "Renamed"
 msgstr ""
 
-#: status.py:97 status.py:101 status.py:103
+#: status.py:97
 msgid "Modified"
 msgstr ""
 
-#: status.py:105 status.py:109 status.py:111
+#: status.py:105
 msgid "Unknown"
 msgstr ""
 
-#: status.py:110 status.py:114 status.py:116
+#: status.py:110
 msgid "No changes."
 msgstr ""
 
-#: tags.py:67 tags.py:65 tags.py:66
+#: tags.py:67
 msgid "Tags"
 msgstr ""
 
-#: tags.py:111 tags.py:109 tags.py:110
+#: tags.py:111
 msgid "Tag Name"
 msgstr ""
 
-#: tags.py:116 tags.py:114 tags.py:115
+#: tags.py:116
 msgid "Revision ID"
 msgstr ""
 
-#: tags.py:151 tags.py:149 tags.py:150
+#: tags.py:151
 msgid "Tags are not supported by this branch format. Please upgrade."
 msgstr ""
 
-#: tags.py:157 tags.py:155 tags.py:156
+#: tags.py:157
 msgid "No tagged revisions in the branch."
 msgstr ""
 
-#: tags.py:232 tags.py:230 tags.py:231
+#: tags.py:232
 msgid "_Remove tag"
 msgstr ""
 
-#: tags.py:242 tags.py:240 tags.py:241
+#: tags.py:242
 msgid "<b><big>Remove tag?</big></b>"
 msgstr ""
 
-#: tags.py:244 tags.py:242 tags.py:243
+#: tags.py:244
 #, python-format
 msgid "Are you sure you want to remove the tag: <b>%s</b>?"
 msgstr ""
 
-#: tags.py:289 tags.py:287 tags.py:288
+#: tags.py:289
 msgid "_Add tag"
 msgstr ""
 
-#: tags.py:291 tags.py:289 tags.py:290
+#: tags.py:291
 msgid "Tag Name:"
 msgstr ""
 
-#: tags.py:292 tags.py:290 tags.py:291
+#: tags.py:292
 msgid "Revision ID:"
 msgstr ""
 
-#: tags.py:323 tags.py:321 tags.py:322
+#: tags.py:323
 msgid "No tag name specified"
 msgstr ""
 
-#: tags.py:324 tags.py:322 tags.py:323
+#: tags.py:324
 msgid "You have to specify the tag's desired name."
 msgstr ""
 
-#: __init__.py:512 olive/__init__.py:539 olive/__init__.py:540
+#: __init__.py:512
 msgid "There are local changes in the branch"
 msgstr ""
 
-#: __init__.py:513 olive/__init__.py:540 olive/__init__.py:541
+#: __init__.py:513
 msgid "Please commit or revert the changes before merging."
 msgstr ""
 
-#: __init__.py:525 __init__.py:550 olive/__init__.py:555 olive/__init__.py:612
-#: olive/__init__.py:556 olive/__init__.py:613
+#: __init__.py:525 __init__.py:550
 msgid "Parent location is unknown"
 msgstr ""
 
-#: __init__.py:526 olive/__init__.py:556 olive/__init__.py:557
+#: __init__.py:526
 msgid "Cannot determine missing revisions if no parent location is known."
 msgstr ""
 
-#: __init__.py:537 olive/__init__.py:599 olive/__init__.py:600
+#: __init__.py:537
 msgid "There are missing revisions"
 msgstr ""
 
@@ -612,346 +587,318 @@
 msgid "%d revision(s) missing."
 msgstr ""
 
-#: __init__.py:540 olive/__init__.py:602 olive/__init__.py:603
+#: __init__.py:540
 msgid "Local branch up to date"
 msgstr ""
 
-#: __init__.py:541 olive/__init__.py:603 olive/__init__.py:604
+#: __init__.py:541
 msgid "There are no missing revisions."
 msgstr ""
 
-#: __init__.py:551 olive/__init__.py:613 olive/__init__.py:614
+#: __init__.py:551
 msgid "Pulling is not possible until there is a parent location."
 msgstr ""
 
-#: __init__.py:561 olive/__init__.py:623 olive/__init__.py:624
+#: __init__.py:561
 msgid "Pull successful"
 msgstr ""
 
-#: __init__.py:561 olive/__init__.py:623 olive/__init__.py:624
+#: __init__.py:561
 #, python-format
 msgid "%d revision(s) pulled."
 msgstr ""
 
-#: __init__.py:575 menu.py:275 olive/__init__.py:648 olive/menu.py:274
-#: olive/__init__.py:649 olive/menu.py:275
+#: __init__.py:575 menu.py:275
 msgid "Conflicts detected"
 msgstr ""
 
-#: __init__.py:576 menu.py:276 olive/__init__.py:649 olive/menu.py:275
-#: olive/__init__.py:650 olive/menu.py:276
+#: __init__.py:576 menu.py:276
 msgid "Please have a look at the working tree before continuing."
 msgstr ""
 
-#: __init__.py:578 menu.py:278 olive/__init__.py:651 olive/menu.py:277
-#: olive/__init__.py:652 olive/menu.py:278
+#: __init__.py:578 menu.py:278
 msgid "Revert successful"
 msgstr ""
 
-#: __init__.py:579 menu.py:279 olive/__init__.py:652 olive/menu.py:278
-#: olive/__init__.py:653 olive/menu.py:279
+#: __init__.py:579 menu.py:279
 msgid "All files reverted to last revision."
 msgstr ""
 
-#: __init__.py:835 __init__.py:1117 olive/__init__.py:942
-#: olive/__init__.py:1240 olive/__init__.py:943 olive/__init__.py:1241
+#: __init__.py:835 __init__.py:1117
 msgid "Bookmarks"
 msgstr ""
 
-#: __init__.py:842 menu.py:99 olive/__init__.py:949 olive/menu.py:98
-#: olive/__init__.py:950 olive/menu.py:99
+#: __init__.py:842 menu.py:99
 msgid "Bookmark"
 msgstr ""
 
-#: __init__.py:944 __init__.py:1231 olive/__init__.py:1057
-#: olive/__init__.py:1362 olive/__init__.py:1058 olive/__init__.py:1363
+#: __init__.py:944 __init__.py:1231
 msgid "unchanged"
 msgstr ""
 
-#: __init__.py:946 __init__.py:1233 olive/__init__.py:1059
-#: olive/__init__.py:1364 olive/__init__.py:1060 olive/__init__.py:1365
+#: __init__.py:946 __init__.py:1233
 msgid "ignored"
 msgstr ""
 
-#: __init__.py:948 __init__.py:1235 olive/__init__.py:1061
-#: olive/__init__.py:1368 olive/__init__.py:1062 olive/__init__.py:1369
+#: __init__.py:948 __init__.py:1235
 msgid "unknown"
 msgstr ""
 
-#: __init__.py:964 olive/__init__.py:1083 olive/__init__.py:1084
+#: __init__.py:964
 msgid "Filename"
 msgstr ""
 
-#: __init__.py:965 olive/__init__.py:1084 olive/__init__.py:1085
+#: __init__.py:965
 msgid "Status"
 msgstr ""
 
-#: __init__.py:966 olive/__init__.py:1085 olive/__init__.py:1086
+#: __init__.py:966
 msgid "Size"
 msgstr ""
 
-#: __init__.py:967 olive/__init__.py:1086 olive/__init__.py:1087
+#: __init__.py:967
 msgid "Last modified"
 msgstr ""
 
 #: add.py:68 menu.py:179 menu.py:219 menu.py:255 remove.py:68 remove.py:130
-#: olive/add.py:68 olive/menu.py:178 olive/menu.py:218 olive/menu.py:254
-#: olive/remove.py:68 olive/remove.py:130 olive/add.py:69 olive/menu.py:179
-#: olive/menu.py:219 olive/menu.py:255 olive/remove.py:69 olive/remove.py:131
 msgid ""
 "Please select a file from the list,\n"
 "or choose the other option."
 msgstr ""
 
-#: bookmark.py:46 olive/bookmark.py:46 olive/bookmark.py:47
+#: bookmark.py:46
 msgid "Title:"
 msgstr ""
 
-#: bookmark.py:81 olive/bookmark.py:81 olive/bookmark.py:82
+#: bookmark.py:81
 msgid "No title given"
 msgstr ""
 
-#: bookmark.py:82 olive/bookmark.py:82 olive/bookmark.py:83
+#: bookmark.py:82
 msgid "Please specify a title to continue."
 msgstr ""
 
-#: guifiles.py:45 olive/guifiles.py:47 olive/guifiles.py:48
+#: guifiles.py:45
 msgid "Glade file cannot be found."
 msgstr ""
 
-#: guifiles.py:55 olive/guifiles.py:57 olive/guifiles.py:58
+#: guifiles.py:55
 msgid "UI description file cannot be found."
 msgstr ""
 
-#: menu.py:63 olive/menu.py:62 olive/menu.py:63
+#: menu.py:63
 msgid "Add"
 msgstr ""
 
-#: menu.py:64 olive/menu.py:63 olive/menu.py:64
+#: menu.py:64
 msgid "Add the selected file"
 msgstr ""
 
-#: menu.py:67 menu.py:107 olive/menu.py:66 olive/menu.py:106 olive/menu.py:67
-#: olive/menu.py:107
+#: menu.py:67 menu.py:107
 msgid "Remove"
 msgstr ""
 
-#: menu.py:68 olive/menu.py:67 olive/menu.py:68
+#: menu.py:68
 msgid "Remove the selected file"
 msgstr ""
 
-#: menu.py:71 olive/menu.py:70 olive/menu.py:71
+#: menu.py:71
 msgid "Remove and delete"
 msgstr ""
 
-#: menu.py:72 olive/menu.py:71 olive/menu.py:72
+#: menu.py:72
 msgid "Remove the selected file/dir and delete from disk"
 msgstr ""
 
-#: menu.py:75 olive/menu.py:74 olive/menu.py:75
+#: menu.py:75
 msgid "Rename"
 msgstr ""
 
-#: menu.py:76 olive/menu.py:75 olive/menu.py:76
+#: menu.py:76
 msgid "Rename the selected file"
 msgstr ""
 
-#: menu.py:79 olive/menu.py:78 olive/menu.py:79
+#: menu.py:79
 msgid "Open"
 msgstr ""
 
-#: menu.py:80 olive/menu.py:79 olive/menu.py:80
+#: menu.py:80
 msgid "Open the selected file"
 msgstr ""
 
-#: menu.py:83 olive/menu.py:82 olive/menu.py:83
+#: menu.py:83
 msgid "Revert"
 msgstr ""
 
-#: menu.py:84 olive/menu.py:83 olive/menu.py:84
+#: menu.py:84
 msgid "Revert the changes"
 msgstr ""
 
-#: menu.py:88 olive/menu.py:87 olive/menu.py:88
+#: menu.py:88
 msgid "Commit the changes"
 msgstr ""
 
-#: menu.py:91 olive/menu.py:90 olive/menu.py:91
+#: menu.py:91
 msgid "Annotate"
 msgstr ""
 
-#: menu.py:92 olive/menu.py:91 olive/menu.py:92
+#: menu.py:92
 msgid "Annotate the selected file"
 msgstr ""
 
-#: menu.py:95 olive/menu.py:94 olive/menu.py:95
+#: menu.py:95
 msgid "Diff"
 msgstr ""
 
-#: menu.py:96 olive/menu.py:95 olive/menu.py:96
+#: menu.py:96
 msgid "Show the diff of the file"
 msgstr ""
 
-#: menu.py:100 olive/menu.py:99 olive/menu.py:100
+#: menu.py:100
 msgid "Bookmark current location"
 msgstr ""
 
-#: menu.py:103 olive/menu.py:102 olive/menu.py:103
+#: menu.py:103
 msgid "Edit"
 msgstr ""
 
-#: menu.py:104 olive/menu.py:103 olive/menu.py:104
+#: menu.py:104
 msgid "Edit the selected bookmark"
 msgstr ""
 
-#: menu.py:108 olive/menu.py:107 olive/menu.py:108
+#: menu.py:108
 msgid "Remove the selected bookmark"
 msgstr ""
 
-#: menu.py:111 olive/menu.py:110 olive/menu.py:111
+#: menu.py:111
 msgid "Open Folder"
 msgstr ""
 
-#: menu.py:112 olive/menu.py:111 olive/menu.py:112
+#: menu.py:112
 msgid "Open bookmark folder in Nautilus"
 msgstr ""
 
-#: menu.py:115 olive/menu.py:114 olive/menu.py:115
+#: menu.py:115
 msgid "Selected..."
 msgstr ""
 
-#: menu.py:116 olive/menu.py:115 olive/menu.py:116
+#: menu.py:116
 msgid "Show the differences of the selected file"
 msgstr ""
 
-#: menu.py:119 olive/menu.py:118 olive/menu.py:119
+#: menu.py:119
 msgid "All..."
 msgstr ""
 
-#: menu.py:120 olive/menu.py:119 olive/menu.py:120
+#: menu.py:120
 msgid "Show the differences of all files"
 msgstr ""
 
-#: menu.py:123 olive/menu.py:122 olive/menu.py:123
+#: menu.py:123
 msgid "View contents"
 msgstr ""
 
-#: menu.py:124 olive/menu.py:123 olive/menu.py:124
+#: menu.py:124
 msgid "View the contents of the file in a builtin viewer"
 msgstr ""
 
-#: menu.py:127 olive/menu.py:126 olive/menu.py:127
+#: menu.py:127
 msgid "Show differences"
 msgstr ""
 
-#: menu.py:128 olive/menu.py:127 olive/menu.py:128
+#: menu.py:128
 msgid "Show the differences between two revisions of the file"
 msgstr ""
 
-#: menu.py:131 olive/menu.py:130 olive/menu.py:131
+#: menu.py:131
 msgid "Revert to this revision"
 msgstr ""
 
-#: menu.py:132 olive/menu.py:131 olive/menu.py:132
+#: menu.py:132
 msgid "Revert the selected file to the selected revision"
 msgstr ""
 
-#: menu.py:228 olive/menu.py:227 olive/menu.py:228
+#: menu.py:228
 msgid "Delete directory with all directories below ?"
 msgstr ""
 
-#: menu.py:315 olive/__init__.py:707 olive/menu.py:318 olive/__init__.py:708
-#: olive/menu.py:319
+#: menu.py:315
 msgid "Bookmark successfully added"
 msgstr ""
 
-#: menu.py:316 olive/__init__.py:708 olive/menu.py:319 olive/__init__.py:709
-#: olive/menu.py:320
+#: menu.py:316
 msgid ""
 "The current directory was bookmarked. You can reach\n"
 "it by selecting it from the left panel."
 msgstr ""
 
-#: menu.py:319 olive/__init__.py:711 olive/menu.py:322 olive/__init__.py:712
-#: olive/menu.py:323
+#: menu.py:319
 msgid "Location already bookmarked"
 msgstr ""
 
-#: menu.py:320 olive/__init__.py:712 olive/menu.py:323 olive/__init__.py:713
-#: olive/menu.py:324
+#: menu.py:320
 msgid ""
 "The current directory is already bookmarked.\n"
 "See the left panel for reference."
 msgstr ""
 
-#: mkdir.py:67 olive/mkdir.py:67 olive/mkdir.py:68
+#: mkdir.py:67
 msgid "No directory name given"
 msgstr ""
 
-#: mkdir.py:68 olive/mkdir.py:68 olive/mkdir.py:69
+#: mkdir.py:68
 msgid "Please specify a desired name for the new directory."
 msgstr ""
 
-#: mkdir.py:79 mkdir.py:89 olive/mkdir.py:79 olive/mkdir.py:89
-#: olive/mkdir.py:80 olive/mkdir.py:90
+#: mkdir.py:79 mkdir.py:89
 msgid "Directory already exists"
 msgstr ""
 
-#: mkdir.py:80 mkdir.py:90 olive/mkdir.py:80 olive/mkdir.py:90
-#: olive/mkdir.py:81 olive/mkdir.py:91
+#: mkdir.py:80 mkdir.py:90
 msgid "Please specify another name to continue."
 msgstr ""
 
-#: move.py:80 rename.py:71 olive/move.py:80 olive/rename.py:71
-#: olive/move.py:81 olive/rename.py:72
+#: move.py:80 rename.py:71
 msgid "Please select a file from the list to proceed."
 msgstr ""
 
-#: move.py:89 rename.py:87 olive/move.py:89 olive/rename.py:87
-#: olive/move.py:90 olive/rename.py:88
+#: move.py:89 rename.py:87
 msgid "Not the same branch"
 msgstr ""
 
-#: move.py:90 rename.py:88 olive/move.py:90 olive/rename.py:88
-#: olive/move.py:91 olive/rename.py:89
+#: move.py:90 rename.py:88
 msgid "The destination is not in the same branch."
 msgstr ""
 
-#: remove.py:79 remove.py:139 olive/remove.py:79 olive/remove.py:139
-#: olive/remove.py:80 olive/remove.py:140
+#: remove.py:79 remove.py:139
 msgid "No matching files"
 msgstr ""
 
-#: remove.py:80 remove.py:140 olive/remove.py:80 olive/remove.py:140
-#: olive/remove.py:81 olive/remove.py:141
+#: remove.py:80 remove.py:140
 msgid "No added files were found in the working tree."
 msgstr ""
 
-#: remove.py:105 olive.glade:825 olive.glade:878 olive/remove.py:105
-#: olive/remove.py:106
+#: remove.py:105 olive.glade:825
 msgid "Which file(s) do you want to remove?"
 msgstr ""
 
-#: remove.py:106 olive.glade:717 olive.glade:837 olive.glade:766
-#: olive.glade:890 olive/remove.py:106 olive/remove.py:107
+#: remove.py:106 olive.glade:717 olive.glade:837
 msgid "Selected only"
 msgstr ""
 
-#: remove.py:107 olive.glade:851 olive.glade:905 olive/remove.py:107
-#: olive/remove.py:108
+#: remove.py:107 olive.glade:851
 msgid "All files with status 'added'"
 msgstr ""
 
-#: remove.py:108 olive.glade:905 olive.glade:962 olive/remove.py:108
-#: olive/remove.py:109
+#: remove.py:108 olive.glade:905
 msgid "_Remove"
 msgstr ""
 
-#: rename.py:75 olive/rename.py:75 olive/rename.py:76
+#: rename.py:75
 msgid "Filename not given"
 msgstr ""
 
-#: rename.py:76 olive/rename.py:76 olive/rename.py:77
+#: rename.py:76
 msgid "Please specify a new name for the file."
 msgstr ""
 
@@ -971,183 +918,183 @@
 msgid "Remove file(s)..."
 msgstr ""
 
-#: olive.glade:63 olive.glade:71
+#: olive.glade:63
 msgid "Make _directory..."
 msgstr ""
 
-#: olive.glade:76 olive.glade:84
+#: olive.glade:76
 msgid "_Rename..."
 msgstr ""
 
-#: olive.glade:84 olive.glade:92
+#: olive.glade:84
 msgid "_Move..."
 msgstr ""
 
-#: olive.glade:92 olive.glade:100
+#: olive.glade:92
 msgid "_Annotate..."
 msgstr ""
 
-#: olive.glade:118 olive.glade:126
+#: olive.glade:118
 msgid "_View"
 msgstr ""
 
-#: olive.glade:126 olive.glade:134
+#: olive.glade:126
 msgid "Show _hidden files"
 msgstr ""
 
-#: olive.glade:139 olive.glade:155
+#: olive.glade:139
 msgid "_Refresh"
 msgstr ""
 
-#: olive.glade:158 olive.glade:174
+#: olive.glade:158
 msgid "_Initialize..."
 msgstr ""
 
-#: olive.glade:166 olive.glade:182
+#: olive.glade:166
 msgid "_Get..."
 msgstr ""
 
-#: olive.glade:174 olive.glade:190
+#: olive.glade:174
 msgid "C_heckout..."
 msgstr ""
 
-#: olive.glade:187 olive.glade:203
+#: olive.glade:187
 msgid "Pu_ll"
 msgstr ""
 
-#: olive.glade:201 olive.glade:217
+#: olive.glade:201
 msgid "Pu_sh..."
 msgstr ""
 
-#: olive.glade:220 olive.glade:245
+#: olive.glade:220
 msgid "_Revert all changes"
 msgstr ""
 
-#: olive.glade:228 olive.glade:253
+#: olive.glade:228
 msgid "_Merge..."
 msgstr ""
 
-#: olive.glade:236 olive.glade:261
+#: olive.glade:236
 msgid "_Commit..."
 msgstr ""
 
-#: olive.glade:255 olive.glade:280
+#: olive.glade:255
 msgid "Ta_gs..."
 msgstr ""
 
-#: olive.glade:263 olive.glade:288
+#: olive.glade:263
 msgid "S_tatus..."
 msgstr ""
 
-#: olive.glade:271 olive.glade:296
+#: olive.glade:271
 msgid "Missing _revisions"
 msgstr ""
 
-#: olive.glade:279 olive.glade:304
+#: olive.glade:279
 msgid "Con_flicts..."
 msgstr ""
 
-#: olive.glade:291 olive.glade:316
+#: olive.glade:291
 msgid "_Statistics"
 msgstr ""
 
-#: olive.glade:298 olive.glade:323
+#: olive.glade:298
 msgid "_Differences..."
 msgstr ""
 
-#: olive.glade:312 olive.glade:337
+#: olive.glade:312
 msgid "_Log..."
 msgstr ""
 
-#: olive.glade:326 olive.glade:351
+#: olive.glade:326
 msgid "_Information..."
 msgstr ""
 
-#: olive.glade:338 olive.glade:363
+#: olive.glade:338
 msgid "_Help"
 msgstr ""
 
-#: olive.glade:548 olive.glade:590
+#: olive.glade:548
 msgid "gtk-jump-to"
 msgstr ""
 
-#: olive.glade:575 olive.glade:618
+#: olive.glade:575
 msgid "H_istory Mode"
 msgstr ""
 
-#: olive.glade:673 olive.glade:722
+#: olive.glade:673
 msgid "Copyright (C) 2006 Szilveszter Farkas (Phanatic)"
 msgstr ""
 
-#: olive.glade:675 olive.glade:724
+#: olive.glade:675
 msgid "https://launchpad.net/products/olive"
 msgstr ""
 
-#: olive.glade:677 olive.glade:726
+#: olive.glade:677
 msgid "translator-credits"
 msgstr ""
 
-#: olive.glade:694 olive.glade:743
+#: olive.glade:694
 msgid "Olive - Add file(s)"
 msgstr ""
 
-#: olive.glade:705 olive.glade:754
+#: olive.glade:705
 msgid "Which file(s) do you want to add?"
 msgstr ""
 
-#: olive.glade:731 olive.glade:781
+#: olive.glade:731
 msgid "All unknowns recursively"
 msgstr ""
 
-#: olive.glade:785 olive.glade:838
+#: olive.glade:785
 msgid "_Add"
 msgstr ""
 
-#: olive.glade:814 olive.glade:867
+#: olive.glade:814
 msgid "Olive - Remove file(s)"
 msgstr ""
 
-#: olive.glade:934 olive.glade:991
+#: olive.glade:934
 msgid "Olive - Make directory"
 msgstr ""
 
-#: olive.glade:957 olive.glade:1014
+#: olive.glade:957
 msgid "_Versioned directory"
 msgstr ""
 
-#: olive.glade:1011 olive.glade:1071
+#: olive.glade:1011
 msgid "_Make directory"
 msgstr ""
 
-#: olive.glade:1041 olive.glade:1101
+#: olive.glade:1041
 msgid "Olive - Move"
 msgstr ""
 
-#: olive.glade:1055 olive.glade:1115
+#: olive.glade:1055
 msgid "Move to"
 msgstr ""
 
-#: olive.glade:1066 olive.glade:1126
+#: olive.glade:1066
 msgid "Select a directory"
 msgstr ""
 
-#: olive.glade:1120 olive.glade:1182
+#: olive.glade:1120
 msgid "_Move"
 msgstr ""
 
-#: olive.glade:1148 olive.glade:1210
+#: olive.glade:1148
 msgid "Olive - Rename"
 msgstr ""
 
-#: olive.glade:1162 olive.glade:1224
+#: olive.glade:1162
 msgid "Rename to"
 msgstr ""
 
-#: olive.glade:1227 olive.glade:1291
+#: olive.glade:1227
 msgid "_Rename"
 msgstr ""
 
-#: olive.glade:1255 olive.glade:1319
+#: olive.glade:1255
 msgid "Olive - Information"
 msgstr ""
 
@@ -1159,305 +1106,182 @@
 #: olive.glade:1903 olive.glade:1916 olive.glade:1929 olive.glade:1942
 #: olive.glade:1955 olive.glade:1968 olive.glade:2109 olive.glade:2120
 #: olive.glade:2133 olive.glade:2146 olive.glade:2159 olive.glade:2264
-#: olive.glade:2275 olive.glade:1343 olive.glade:1356 olive.glade:1369
-#: olive.glade:1382 olive.glade:1395 olive.glade:1408 olive.glade:1421
-#: olive.glade:1548 olive.glade:1559 olive.glade:1628 olive.glade:1639
-#: olive.glade:1652 olive.glade:1665 olive.glade:1758 olive.glade:1769
-#: olive.glade:1782 olive.glade:1863 olive.glade:1874 olive.glade:1943
-#: olive.glade:1954 olive.glade:1967 olive.glade:1980 olive.glade:1993
-#: olive.glade:2006 olive.glade:2019 olive.glade:2032 olive.glade:2173
-#: olive.glade:2184 olive.glade:2197 olive.glade:2210 olive.glade:2223
-#: olive.glade:2328 olive.glade:2339
+#: olive.glade:2275
 msgid "(none)"
 msgstr ""
 
-#: olive.glade:1368 olive.glade:1432
+#: olive.glade:1368
 msgid "Checkout root: "
 msgstr ""
 
-#: olive.glade:1380 olive.glade:1444
+#: olive.glade:1380
 msgid "Branch root: "
 msgstr ""
 
-#: olive.glade:1392 olive.glade:1456
+#: olive.glade:1392
 msgid "Repository checkout: "
 msgstr ""
 
-#: olive.glade:1404 olive.glade:1468
+#: olive.glade:1404
 msgid "Checkout of branch: "
 msgstr ""
 
-#: olive.glade:1416 olive.glade:1480
+#: olive.glade:1416
 msgid "Repository branch: "
 msgstr ""
 
-#: olive.glade:1428 olive.glade:1492
+#: olive.glade:1428
 msgid "Shared repository: "
 msgstr ""
 
-#: olive.glade:1440 olive.glade:1504
+#: olive.glade:1440
 msgid "Light checkout root: "
 msgstr ""
 
-#: olive.glade:1454 olive.glade:1518
+#: olive.glade:1454
 msgid "<b>Location:</b>"
 msgstr ""
 
-#: olive.glade:1508 olive.glade:1572
+#: olive.glade:1508
 msgid "Publish to branch: "
 msgstr ""
 
-#: olive.glade:1520 olive.glade:1584
+#: olive.glade:1520
 msgid "Parent branch: "
 msgstr ""
 
-#: olive.glade:1534 olive.glade:1598
+#: olive.glade:1534
 msgid "<b>Related branches:</b>"
 msgstr ""
 
-#: olive.glade:1614 olive.glade:1678
+#: olive.glade:1614
 msgid "Repository format: "
 msgstr ""
 
-#: olive.glade:1626 olive.glade:1690
+#: olive.glade:1626
 msgid "Branch format: "
 msgstr ""
 
-#: olive.glade:1638 olive.glade:1702
+#: olive.glade:1638
 msgid "Working tree format: "
 msgstr ""
 
-#: olive.glade:1650 olive.glade:1714
+#: olive.glade:1650
 msgid "Control format: "
 msgstr ""
 
-#: olive.glade:1664 olive.glade:1728
+#: olive.glade:1664
 msgid "<b>Format:</b>"
 msgstr ""
 
-#: olive.glade:1731 olive.glade:1795
+#: olive.glade:1731
 msgid "Repository lock status: "
 msgstr ""
 
-#: olive.glade:1743 olive.glade:1807
+#: olive.glade:1743
 msgid "Branch lock status: "
 msgstr ""
 
-#: olive.glade:1755 olive.glade:1819
+#: olive.glade:1755
 msgid "Working tree lock status: "
 msgstr ""
 
-#: olive.glade:1769 olive.glade:1833
+#: olive.glade:1769
 msgid "<b>Lock status:</b>"
 msgstr ""
 
-#: olive.glade:1823 olive.glade:1887
+#: olive.glade:1823
 msgid "Missing revisions in branch: "
 msgstr ""
 
-#: olive.glade:1835 olive.glade:1899
+#: olive.glade:1835
 msgid "Missing revisions in working tree: "
 msgstr ""
 
-#: olive.glade:1849 olive.glade:1913
+#: olive.glade:1849
 msgid "<b>Missing revisions:</b>"
 msgstr ""
 
-#: olive.glade:1981 olive.glade:2045
+#: olive.glade:1981
 msgid "Versioned subdirectories: "
 msgstr ""
 
-#: olive.glade:1993 olive.glade:2057
+#: olive.glade:1993
 msgid "Ignored files: "
 msgstr ""
 
-#: olive.glade:2005 olive.glade:2069
+#: olive.glade:2005
 msgid "Unknown files: "
 msgstr ""
 
-#: olive.glade:2017 olive.glade:2081
+#: olive.glade:2017
 msgid "Renamed files: "
 msgstr ""
 
-#: olive.glade:2029 olive.glade:2093
+#: olive.glade:2029
 msgid "Removed files: "
 msgstr ""
 
-#: olive.glade:2041 olive.glade:2105
+#: olive.glade:2041
 msgid "Added files: "
 msgstr ""
 
-#: olive.glade:2053 olive.glade:2117
+#: olive.glade:2053
 msgid "Modified files: "
 msgstr ""
 
-#: olive.glade:2065 olive.glade:2129
+#: olive.glade:2065
 msgid "Unchanged files: "
 msgstr ""
 
-#: olive.glade:2079 olive.glade:2143
+#: olive.glade:2079
 msgid "<b>In the working tree:</b>"
 msgstr ""
 
-#: olive.glade:2172 olive.glade:2236
+#: olive.glade:2172
 msgid "Time of last revision: "
 msgstr ""
 
-#: olive.glade:2184 olive.glade:2248
+#: olive.glade:2184
 msgid "Time of first revision: "
 msgstr ""
 
-#: olive.glade:2196 olive.glade:2260
+#: olive.glade:2196
 msgid "Age of branch in days: "
 msgstr ""
 
-#: olive.glade:2208 olive.glade:2272
+#: olive.glade:2208
 msgid "Number of commiters: "
 msgstr ""
 
-#: olive.glade:2220 olive.glade:2284
+#: olive.glade:2220
 msgid "Revisions in branch: "
 msgstr ""
 
-#: olive.glade:2234 olive.glade:2298
+#: olive.glade:2234
 msgid "<b>Branch history:</b>"
 msgstr ""
 
-#: olive.glade:2288 olive.glade:2352
+#: olive.glade:2288
 msgid "Size of repository: "
 msgstr ""
 
-#: olive.glade:2300 olive.glade:2364
+#: olive.glade:2300
 msgid "Revisions in repository: "
 msgstr ""
 
-#: olive.glade:2314 olive.glade:2378
+#: olive.glade:2314
 msgid "<b>Revision store:</b>"
 msgstr ""
 
-#: olive.glade:2356 olive.glade:2421
+#: olive.glade:2356
 msgid "Merge - Olive"
 msgstr ""
 
-#: olive.glade:2370 olive.glade:2435
+#: olive.glade:2370
 msgid "Merge from:"
 msgstr ""
 
-#: olive.glade:2454 olive.glade:2522
+#: olive.glade:2454
 msgid "_Merge"
 msgstr ""
-
-#: olive.glade:63
-msgid "_Bookmark current directory"
-msgstr ""
-
-#: olive.glade:142
-msgid "Show _ignored files"
-msgstr ""
-
-#: olive.glade:232 olive.glade:486
-msgid "Update"
-msgstr ""
-
-#: commit.py:172 commit.py:173
-msgid "kind changed"
-msgstr ""
-
-#: commit.py:260 commit.py:261
-msgid "<b>Commit Message</b>"
-msgstr ""
-
-#: commit.py:363 commit.py:364
-msgid "Files"
-msgstr ""
-
-#: commit.py:368 commit.py:369
-msgid "Commit all changes"
-msgstr ""
-
-#: commit.py:374 commit.py:375
-msgid "Only commit selected changes"
-msgstr ""
-
-#: commit.py:380 commit.py:381
-msgid "Commit all changes*"
-msgstr ""
-
-#: commit.py:413 commit.py:414
-msgid "Commit*"
-msgstr ""
-
-#: commit.py:454 commit.py:455
-msgid "<i>* Cannot select specific files when merging</i>"
-msgstr ""
-
-#: commit.py:458 commit.py:459
-msgid "Pending Revisions"
-msgstr ""
-
-#: commit.py:494 commit.py:495
-msgid "Diff for whole tree"
-msgstr ""
-
-#: commit.py:518 commit.py:599 commit.py:519 commit.py:601
-msgid "File commit message"
-msgstr ""
-
-#: commit.py:525 commit.py:526
-msgid "Global Commit Message"
-msgstr ""
-
-#: commit.py:526 commit.py:528
-msgid "<b>Global Commit Message</b>"
-msgstr ""
-
-#: commit.py:552 commit.py:554
-msgid "Diff for "
-msgstr ""
-
-#: commit.py:605 commit.py:607
-msgid "Commit message for "
-msgstr ""
-
-#: commit.py:690 commit.py:692
-msgid "There are no changes in the working tree. Do you want to commit anyway?"
-msgstr ""
-
-#: branchview/treeview.py:400 branchview/treeview.py:402
-msgid "Please wait, loading ancestral graph..."
-msgstr ""
-
-#: olive/__init__.py:71 olive/__init__.py:72
-msgid "Lead Developer:"
-msgstr ""
-
-#: olive/__init__.py:73 olive/__init__.py:74
-msgid "Contributors:"
-msgstr ""
-
-#: olive/__init__.py:578 olive/__init__.py:579
-#, python-format
-msgid "%d local extra revision(s). \n"
-msgstr ""
-
-#: olive/__init__.py:590 olive/__init__.py:591
-#, python-format
-msgid "%d local missing revision(s).\n"
-msgstr ""
-
-#: olive/__init__.py:632 olive/__init__.py:633
-msgid "Update successful but conflicts generated"
-msgstr ""
-
-#: olive/__init__.py:632 olive/__init__.py:633
-#, python-format
-msgid "Number of conflicts generated: %d."
-msgstr ""
-
-#: olive/__init__.py:634 olive/__init__.py:635
-msgid "Update successful"
-msgstr ""
-
-#: olive/__init__.py:634 olive/__init__.py:635
-msgid "No conflicts generated."
-msgstr ""

=== modified file 'push.py'
--- push.py	2008-05-05 18:16:46 +0000
+++ push.py	2007-09-17 10:33:57 +0000
@@ -30,7 +30,6 @@
 from bzrlib.config import LocationConfig
 import bzrlib.errors as errors
 
-from bzrlib.plugins.gtk import _i18n
 from dialog import error_dialog, info_dialog, question_dialog
 
 from history import UrlHistory
@@ -50,9 +49,9 @@
         self.branch = branch
         
         # Create the widgets
-        self._label_location = gtk.Label(_i18n("Location:"))
+        self._label_location = gtk.Label(_("Location:"))
         self._combo = gtk.ComboBoxEntry()
-        self._button_push = gtk.Button(_i18n("_Push"), use_underline=True)
+        self._button_push = gtk.Button(_("_Push"), use_underline=True)
         self._hbox_location = gtk.HBox()
         
         # Set callbacks
@@ -95,22 +94,22 @@
         location = self._combo.get_child().get_text()
         revs = 0
         if self.branch is not None and self.branch.get_push_location() is None:
-            response = question_dialog(_i18n('Set default push location'),
-                                       _i18n('There is no default push location set.\nSet %r as default now?') % location)
+            response = question_dialog(_('Set default push location'),
+                                       _('There is no default push location set.\nSet %r as default now?') % location)
             if response == gtk.RESPONSE_OK:
                 self.branch.set_push_location(location)
 
         try:
             revs = do_push(self.branch, location=location, overwrite=False)
         except errors.DivergedBranches:
-            response = question_dialog(_i18n('Branches have been diverged'),
-                                       _i18n('You cannot push if branches have diverged.\nOverwrite?'))
+            response = question_dialog(_('Branches have been diverged'),
+                                       _('You cannot push if branches have diverged.\nOverwrite?'))
             if response == gtk.RESPONSE_YES:
                 revs = do_push(self.branch, location=location, overwrite=True)
         
         self._history.add_entry(location)
-        info_dialog(_i18n('Push successful'),
-                    _i18n("%d revision(s) pushed.") % revs)
+        info_dialog(_('Push successful'),
+                    _("%d revision(s) pushed.") % revs)
         
         self.response(gtk.RESPONSE_OK)
 
@@ -143,8 +142,8 @@
             relurl = transport.relpath(location_url)
             transport.mkdir(relurl)
         except errors.NoSuchFile:
-            response = question_dialog(_i18n('Non existing parent directory'),
-                         _i18n("The parent directory (%s)\ndoesn't exist. Create?") % location)
+            response = question_dialog(_('Non existing parent directory'),
+                         _("The parent directory (%s)\ndoesn't exist. Create?") % location)
             if response == gtk.RESPONSE_OK:
                 _create_prefix(transport)
             else:

=== modified file 'revbrowser.py'
--- revbrowser.py	2008-05-05 18:16:46 +0000
+++ revbrowser.py	2008-04-25 19:41:23 +0000
@@ -26,7 +26,6 @@
 import gtk
 
 from bzrlib.osutils import format_date
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.branchview.treeview import TreeView
 
 
@@ -42,7 +41,7 @@
         self.branch = branch
         
         # Create the widgets
-        self._button_select = gtk.Button(_i18n("_Select"), use_underline=True)
+        self._button_select = gtk.Button(_("_Select"), use_underline=True)
         start_revs = [branch.last_revision(),]
         self.treeview = TreeView(branch, start_revs, None)
         

=== modified file 'revisionview.py'
--- revisionview.py	2008-06-24 10:34:38 +0000
+++ revisionview.py	2008-04-25 20:35:54 +0000
@@ -20,7 +20,7 @@
 import gtk
 import pango
 import gobject
-import webbrowser
+import subprocess
 
 from bzrlib.plugins.gtk import icon_path
 from bzrlib.osutils import format_date
@@ -38,12 +38,8 @@
 PAGE_SIGNATURE = 2
 PAGE_BUGS = 3
 
-
 def _open_link(widget, uri):
-    for cmd in ['sensible-browser', 'xdg-open']:
-        if webbrowser._iscommand(cmd):
-            webbrowser._tryorder.insert(0, '%s "%%s"' % cmd)
-    webbrowser.open(uri)
+    subprocess.Popen(['sensible-browser', uri], close_fds=True)
 
 gtk.link_button_set_uri_hook(_open_link)
 
@@ -321,9 +317,8 @@
 
         self._create_general()
         self._create_relations()
-        # Disabled because testaments aren't verified yet:
-        # if has_seahorse:
-        #    self._create_signature()
+        if has_seahorse:
+            self._create_signature()
         self._create_file_info_view()
         self._create_bugs()
 

=== modified file 'seahorse.py'
--- seahorse.py	2008-06-20 03:33:17 +0000
+++ seahorse.py	2008-04-03 20:30:15 +0000
@@ -29,29 +29,12 @@
 KEY_TYPE_SSH = 'ssh'
 
 try:
-    bus = dbus.SessionBus()
-except dbus.exceptions.DBusException, e:
-    get_name = getattr(e, 'get_dbus_name', None)
-    if get_name is not None:
-        name = get_name()
-    else:
-        name = getattr(e, '_dbus_error_name', None)
-    # DBus sometimes fails like this, just treat it as if seahorse is not
-    # available rather than crashing.
-    if name == "org.freedesktop.DBus.Error.Spawn.ExecFailed":
-        raise ImportError
-    else:
-        raise
-
-if hasattr(bus, 'list_activatable_names'):
-    bus_names = bus.list_activatable_names()
-else:
-    bus_object = bus.get_object('org.freedesktop.DBus', '/org/freedesktop/DBus')
-    bus_names = bus_object.ListNames(dbus_interface='org.freedesktop.DBus')
-
-if BUS_NAME not in bus_names:
+    dbus.validate_bus_name(BUS_NAME)
+except ValueError:
     raise ImportError
 
+bus = dbus.SessionBus()
+
 crypto = dbus.Interface(bus.get_object(BUS_NAME, CRYPTO_PATH), 
                         CRYPTO_INTERFACE)
 openpgp = dbus.Interface(bus.get_object(BUS_NAME, OPENPGP_PATH),

=== modified file 'setup.py'
--- setup.py	2008-06-27 16:53:56 +0000
+++ setup.py	2008-05-01 13:03:54 +0000
@@ -91,12 +91,12 @@
 
 setup(
     name = "bzr-gtk",
-    version = "0.95.0",
+    version = "0.94.0rc1",
     maintainer = "Jelmer Vernooij",
     maintainer_email = "jelmer@samba.org",
     description = "GTK+ Frontends for various Bazaar commands",
-    license = "GNU GPL v2 or later",
-    scripts=['olive-gtk', 'bzr-handle-patch'],
+    license = "GNU GPL v2",
+    scripts=['olive-gtk'],
     package_dir = {
         "bzrlib.plugins.gtk": ".",
         "bzrlib.plugins.gtk.viz": "viz", 

=== modified file 'status.py'
--- status.py	2008-05-05 18:16:46 +0000
+++ status.py	2008-04-16 00:00:41 +0000
@@ -21,8 +21,6 @@
     pass
 
 import gtk
-from bzrlib.plugins.gtk import _i18n
-
 
 class StatusDialog(gtk.Dialog):
     """ Display Status window and perform the needed actions. """
@@ -81,26 +79,26 @@
         
         if len(delta.added):
             changes = True
-            titer = self.model.append(None, [ _i18n('Added'), None ])
+            titer = self.model.append(None, [ _('Added'), None ])
             for path, id, kind in delta.added:
                 self.model.append(titer, [ path, path ])
 
         if len(delta.removed):
             changes = True
-            titer = self.model.append(None, [ _i18n('Removed'), None ])
+            titer = self.model.append(None, [ _('Removed'), None ])
             for path, id, kind in delta.removed:
                 self.model.append(titer, [ path, path ])
 
         if len(delta.renamed):
             changes = True
-            titer = self.model.append(None, [ _i18n('Renamed'), None ])
+            titer = self.model.append(None, [ _('Renamed'), None ])
             for oldpath, newpath, id, kind, text_modified, meta_modified \
                     in delta.renamed:
                 self.model.append(titer, [ oldpath, newpath ])
 
         if len(delta.modified):
             changes = True
-            titer = self.model.append(None, [ _i18n('Modified'), None ])
+            titer = self.model.append(None, [ _('Modified'), None ])
             for path, id, kind, text_modified, meta_modified in delta.modified:
                 self.model.append(titer, [ path, path ])
         
@@ -108,12 +106,12 @@
         for path in self.wt.unknowns():
             changes = True
             if not done_unknown:
-                titer = self.model.append(None, [ _i18n('Unknown'), None ])
+                titer = self.model.append(None, [ _('Unknown'), None ])
                 done_unknown = True
             self.model.append(titer, [ path, path ])
 
         if not changes:
-            self.model.append(None, [ _i18n('No changes.'), None ])
+            self.model.append(None, [ _('No changes.'), None ])
 
         self.treeview.expand_all()
     

=== modified file 'tags.py'
--- tags.py	2008-05-23 13:14:58 +0000
+++ tags.py	2007-11-02 14:49:57 +0000
@@ -23,7 +23,6 @@
 
 import gtk
 
-from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
@@ -63,7 +62,7 @@
         self._treeview_tags.connect('cursor-changed', self._on_treeview_changed)
         
         # Set properties
-        self.set_title(_i18n("Tags"))
+        self.set_title(_("Tags"))
         self.set_default_size(600, 400)
         
         self._scrolledwindow_tags.set_policy(gtk.POLICY_AUTOMATIC,
@@ -107,12 +106,12 @@
     
     def _load_tags(self):
         """ Load the tags into the TreeView. """
-        tvcol_name = gtk.TreeViewColumn(_i18n("Tag Name"),
+        tvcol_name = gtk.TreeViewColumn(_("Tag Name"),
                                         gtk.CellRendererText(),
                                         text=0)
         tvcol_name.set_resizable(True)
         
-        tvcol_revid = gtk.TreeViewColumn(_i18n("Revision ID"),
+        tvcol_revid = gtk.TreeViewColumn(_("Revision ID"),
                                          gtk.CellRendererText(),
                                          text=1)
         tvcol_revid.set_resizable(True)
@@ -147,13 +146,13 @@
     
     def _tags_not_supported(self):
         """ Tags are not supported. """
-        self._model.append([_i18n("Tags are not supported by this branch format. Please upgrade."), ""])
+        self._model.append([_("Tags are not supported by this branch format. Please upgrade."), ""])
         self._button_add.set_sensitive(False)
         self._button_remove.set_sensitive(False)
     
     def _no_tags_available(self):
         """ No tags in the branch. """
-        self._model.append([_i18n("No tagged revisions in the branch."), ""])
+        self._model.append([_("No tagged revisions in the branch."), ""])
         self._button_add.set_sensitive(True)
         self._button_remove.set_sensitive(False)
     
@@ -228,7 +227,7 @@
                                                         gtk.ICON_SIZE_DIALOG)
         self._label_title = gtk.Label()
         self._label_question = gtk.Label()
-        self._button_remove = gtk.Button(_i18n("_Remove tag"), use_underline=True)
+        self._button_remove = gtk.Button(_("_Remove tag"), use_underline=True)
         
         # Set callbacks
         self._button_remove.connect('clicked', self._on_remove_clicked)
@@ -238,9 +237,9 @@
         self._hbox.set_spacing(5)
         self._vbox_question.set_spacing(3)
         
-        self._label_title.set_markup(_i18n("<b><big>Remove tag?</big></b>"))
+        self._label_title.set_markup(_("<b><big>Remove tag?</big></b>"))
         self._label_title.set_alignment(0.0, 0.5)
-        self._label_question.set_markup(_i18n("Are you sure you want to remove the tag: <b>%s</b>?") % self.tag)
+        self._label_question.set_markup(_("Are you sure you want to remove the tag: <b>%s</b>?") % self.tag)
         self._label_question.set_alignment(0.0, 0.5)
         
         self._button_remove.set_image(gtk.image_new_from_stock(gtk.STOCK_REMOVE,
@@ -285,10 +284,10 @@
         self._branch = branch
         
         # Create the widgets
-        self._button_add = gtk.Button(_i18n("_Add tag"), use_underline=True)
+        self._button_add = gtk.Button(_("_Add tag"), use_underline=True)
         self._table = gtk.Table(2, 2)
-        self._label_name = gtk.Label(_i18n("Tag Name:"))
-        self._label_revid = gtk.Label(_i18n("Revision ID:"))
+        self._label_name = gtk.Label(_("Tag Name:"))
+        self._label_revid = gtk.Label(_("Revision ID:"))
         self._entry_name = gtk.Entry()
         if self._revid is not None:
             self._hbox_revid = gtk.Label(self._revid)
@@ -319,15 +318,15 @@
     def _on_add_clicked(self, widget):
         """ Add button clicked handler. """
         if len(self._entry_name.get_text()) == 0:
-            error_dialog(_i18n("No tag name specified"),
-                         _i18n("You have to specify the tag's desired name."))
+            error_dialog(_("No tag name specified"),
+                         _("You have to specify the tag's desired name."))
             return
         
         if self._revid is None:
             if self._hbox_revid.get_revision_id() is None:
                 self._revid = self._branch.last_revision()
             else:
-                self._revid = self._hbox_revid.get_revision_id()
+                self._revid = self.hbox_revid.get_revision_id()
             
         self.tagname = self._entry_name.get_text()
         

=== modified file 'tests/__init__.py'
--- tests/__init__.py	2008-06-29 15:54:40 +0000
+++ tests/__init__.py	2007-10-30 21:15:13 +0000
@@ -27,7 +27,6 @@
     testmod_names = [
         'test_commit',
         'test_diff',
-        'test_linegraph',
         'test_preferences',
         'test_history',
         ]

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2008-06-10 15:25:47 +0000
+++ tests/test_commit.py	2007-11-02 22:08:54 +0000
@@ -81,8 +81,8 @@
         rev_id1 = tree.commit('one')
         tree2 = tree.bzrdir.sprout('tree2').open_workingtree()
         rev_id2 = tree2.commit('two')
+        rev_id3 = tree2.commit('three')
         tree3 = tree2.bzrdir.sprout('tree3').open_workingtree()
-        rev_id3 = tree2.commit('three')
         rev_id4 = tree3.commit('four')
         rev_id5 = tree3.commit('five')
         tree.merge_from_branch(tree2.branch)
@@ -411,22 +411,22 @@
         text = diff_buffer.get_text(diff_buffer.get_start_iter(),
                                     diff_buffer.get_end_iter()).splitlines(True)
 
-        self.assertEqual("=== modified file 'a'\n", text[0])
+        self.assertEqual("=== removed file 'b'\n", text[0])
         self.assertContainsRe(text[1],
+            r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertEqual('+++ b\t1970-01-01 00:00:00 +0000\n', text[2])
+        self.assertEqual('@@ -1,1 +0,0 @@\n', text[3])
+        self.assertEqual('-contents of tree/b\n', text[4])
+        self.assertEqual('\n', text[5])
+
+        self.assertEqual("=== modified file 'a'\n", text[6])
+        self.assertContainsRe(text[7],
             r"--- a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertContainsRe(text[2],
-            r"\+\+\+ a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertEqual('@@ -1,1 +1,1 @@\n', text[3])
-        self.assertEqual('-contents of tree/a\n', text[4])
-        self.assertEqual('+new contents for a\n', text[5])
-        self.assertEqual('\n', text[6])
-
-        self.assertEqual("=== removed file 'b'\n", text[7])
         self.assertContainsRe(text[8],
-            r"--- b\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
-        self.assertEqual('+++ b\t1970-01-01 00:00:00 +0000\n', text[9])
-        self.assertEqual('@@ -1,1 +0,0 @@\n', text[10])
-        self.assertEqual('-contents of tree/b\n', text[11])
+            r"\+\+\+ a\t\d\d\d\d-\d\d-\d\d \d\d:\d\d:\d\d [+-]\d\d\d\d")
+        self.assertEqual('@@ -1,1 +1,1 @@\n', text[9])
+        self.assertEqual('-contents of tree/a\n', text[10])
+        self.assertEqual('+new contents for a\n', text[11])
         self.assertEqual('\n', text[12])
 
         self.assertEqual('Diff for All Files', dlg._diff_label.get_text())
@@ -985,7 +985,8 @@
                          ], bencode.bdecode(file_info))
 
     def test_commit_unicode_messages(self):
-        self.requireFeature(tests.UnicodeFilenameFeature)
+        from bzrlib.tests.test_diff import UnicodeFilename
+        self.requireFeature(UnicodeFilename)
 
         tree = self.make_branch_and_tree('tree')
         tree.branch.get_config().set_user_option('per_file_commits', 'true')

=== modified file 'tests/test_diff.py'
--- tests/test_diff.py	2008-06-09 15:59:13 +0000
+++ tests/test_diff.py	2008-03-11 13:18:28 +0000
@@ -18,33 +18,10 @@
 from cStringIO import StringIO
 import os
 
-from bzrlib import errors, tests
-from bzrlib.merge_directive import MergeDirective2
-
-from bzrlib.plugins.gtk.diff import (
-    DiffController,
-    DiffView,
-    iter_changes_to_status,
-    MergeDirectiveController,
-    )
-eg_diff = """\
-=== modified file 'tests/test_diff.py'
---- tests/test_diff.py	2008-03-11 13:18:28 +0000
-+++ tests/test_diff.py	2008-05-08 22:44:02 +0000
-@@ -20,7 +20,11 @@
- 
- from bzrlib import tests
- 
--from bzrlib.plugins.gtk.diff import DiffView, iter_changes_to_status
-+from bzrlib.plugins.gtk.diff import (
-+    DiffController,
-+    DiffView,
-+    iter_changes_to_status,
-+    )
- 
- 
- class TestDiffViewSimple(tests.TestCase):
-"""
+from bzrlib import tests
+
+from bzrlib.plugins.gtk.diff import DiffView, iter_changes_to_status
+
 
 class TestDiffViewSimple(tests.TestCase):
 
@@ -69,7 +46,8 @@
 class TestDiffView(tests.TestCaseWithTransport):
 
     def test_unicode(self):
-        self.requireFeature(tests.UnicodeFilenameFeature)
+        from bzrlib.tests.test_diff import UnicodeFilename
+        self.requireFeature(UnicodeFilename)
 
         tree = self.make_branch_and_tree('tree')
         self.build_tree([u'tree/\u03a9'])
@@ -91,122 +69,6 @@
             )
 
 
-class MockDiffWidget(object):
-
-    def set_diff_text_sections(self, sections):
-        self.sections = list(sections)
-
-
-class MockWindow(object):
-    def __init__(self):
-        self.diff = MockDiffWidget()
-        self.merge_successful = False
-
-    def set_title(self, title):
-        self.title = title
-
-    def _get_save_path(self, basename):
-        return 'save-path'
-
-    def _get_merge_target(self):
-        return 'this'
-
-    def destroy(self):
-        pass
-
-    def _merge_successful(self):
-        self.merge_successful = True
-
-    def _conflicts(self):
-        self.conflicts = True
-
-    def _handle_error(self, e):
-        self.handled_error = e
-
-
-class TestDiffController(tests.TestCaseWithTransport):
-
-    def get_controller(self):
-        window = MockWindow()
-        return DiffController('load-path', eg_diff.splitlines(True), window)
-
-    def test_get_diff_sections(self):
-        controller = self.get_controller()
-        controller = DiffController('.', eg_diff.splitlines(True),
-                                    controller.window)
-        sections = list(controller.get_diff_sections())
-        self.assertEqual('Complete Diff', sections[0][0])
-        self.assertIs(None, sections[0][1])
-        self.assertEqual(eg_diff, sections[0][2])
-
-        self.assertEqual('tests/test_diff.py', sections[1][0])
-        self.assertEqual('tests/test_diff.py', sections[1][1])
-        self.assertEqual(''.join(eg_diff.splitlines(True)[1:]),
-                         sections[1][2])
-
-    def test_initialize_window(self):
-        controller = self.get_controller()
-        controller.initialize_window(controller.window)
-        self.assertEqual(2, len(controller.window.diff.sections))
-        self.assertEqual('load-path - diff', controller.window.title)
-
-    def test_perform_save(self):
-        self.build_tree_contents([('load-path', 'foo')])
-        controller = self.get_controller()
-        controller.perform_save(None)
-        self.assertFileEqual('foo', 'save-path')
-
-
-class TestMergeDirectiveController(tests.TestCaseWithTransport):
-
-    def make_this_other_directive(self):
-        this = self.make_branch_and_tree('this')
-        this.commit('first commit')
-        other = this.bzrdir.sprout('other').open_workingtree()
-        self.build_tree_contents([('other/foo', 'bar')])
-        other.add('foo')
-        other.commit('second commit')
-        other.lock_write()
-        try:
-            directive = MergeDirective2.from_objects(other.branch.repository,
-                                                     other.last_revision(), 0,
-                                                     0, 'this')
-        finally:
-            other.unlock()
-        return this, other, directive
-
-    def make_merged_window(self, directive):
-        window = MockWindow()
-        controller = MergeDirectiveController('directive', directive, window)
-        controller.perform_merge(window)
-        return window
-
-    def test_perform_merge_success(self):
-        this, other, directive = self.make_this_other_directive()
-        window = self.make_merged_window(directive)
-        self.assertTrue(window.merge_successful)
-        self.assertEqual(other.last_revision(), this.get_parent_ids()[1])
-        self.assertFileEqual('bar', 'this/foo')
-
-    def test_perform_merge_conflicts(self):
-        this, other, directive = self.make_this_other_directive()
-        self.build_tree_contents([('this/foo', 'bar')])
-        this.add('foo')
-        this.commit('message')
-        window = self.make_merged_window(directive)
-        self.assertFalse(window.merge_successful)
-        self.assertTrue(window.conflicts)
-        self.assertEqual(other.last_revision(), this.get_parent_ids()[1])
-        self.assertFileEqual('bar', 'this/foo')
-
-    def test_perform_merge_uncommitted_changes(self):
-        this, other, directive = self.make_this_other_directive()
-        self.build_tree_contents([('this/foo', 'bar')])
-        this.add('foo')
-        window = self.make_merged_window(directive)
-        self.assertIsInstance(window.handled_error, errors.UncommittedChanges)
-
-
 class Test_IterChangesToStatus(tests.TestCaseWithTransport):
 
     def assertStatusEqual(self, expected, tree):

=== removed file 'tests/test_linegraph.py'
--- tests/test_linegraph.py	2008-06-29 15:54:40 +0000
+++ tests/test_linegraph.py	1970-01-01 00:00:00 +0000
@@ -1,45 +0,0 @@
-# Copyright (C) 2008 Jelmer Vernooij <jelmer@samba.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-"""Test the linegraph functionality."""
-
-import os
-
-import gtk
-
-from bzrlib import (
-	graph,
-    tests,
-    )
-from bzrlib.util import bencode
-
-from bzrlib.plugins.gtk.branchview.linegraph import linegraph
-
-
-class TestLinegraph(tests.TestCase):
-	def get_graph(self, dict):
-		return graph.Graph(graph.DictParentsProvider(dict))
-
-	def test_simple(self):
-		lg = linegraph(self.get_graph({"A": ("B", "C"), "B": ()}), ["A"])
-		self.assertEquals(lg,  
-            ([
-               ['A', (0, 0), [(0, 0, 0)], ['B'], [], (2,)],
-               ['B', (0, 0), [], (), ['A'], (1,)]
-             ],
-             {'A': 0, 'B': 1},
-             1))
-

=== modified file 'ui.py'
--- ui.py	2008-06-29 16:20:15 +0000
+++ ui.py	2008-03-20 16:06:23 +0000
@@ -45,8 +45,6 @@
         super(GtkProgressBar, self).__init__()
         self.set_fraction(0.0)
         self._stack = stack
-        self.current = None
-        self.total = None
 
     def finished(self):
         self._stack.remove(self)
@@ -58,21 +56,17 @@
         self.pulse()
 
     def update(self, msg=None, current=None, total=None):
-        if current:
-            self.current = current
-        if total:
-            self.total = total
         if msg is not None:
             self.set_text(msg)
-        if None not in (self.current, self.total):
-            self.set_fraction(1.0 * self.current / self.total)
+        if None not in (current, total):
+            self.set_fraction(1.0 * current / total)
         while gtk.events_pending():
             gtk.main_iteration()
 
 
-class GtkWindowProgressBarStack(gtk.Window):
+class GtkProgressBarStack(gtk.Window):
     def __init__(self):
-        super(GtkWindowProgressBarStack, self).__init__(type=gtk.WINDOW_TOPLEVEL)
+        super(GtkProgressBarStack, self).__init__(type=gtk.WINDOW_TOPLEVEL)
         self.set_border_width(0)
         self.set_title("Progress")
         self.set_position(gtk.WIN_POS_CENTER_ALWAYS)
@@ -92,8 +86,6 @@
 
     def remove(self, pb):
         self.vbox.remove(pb)
-        if len(self.vbox.get_children()) == 0: # If there is nothing to show, don't leave a ghost window here
-             self.destroy()
 
 
 class PasswordDialog(gtk.Dialog):
@@ -160,7 +152,7 @@
         """Return a nested progress bar.
         """
         if self._progress_bar_stack is None:
-            self._progress_bar_stack = GtkWindowProgressBarStack()
+            self._progress_bar_stack = GtkProgressBarStack()
         return self._progress_bar_stack.get_nested()
 
     def set_progress_bar_vbox(self, vbox):

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2008-06-06 17:46:26 +0000
+++ viz/branchwin.py	2008-04-25 20:27:21 +0000
@@ -66,7 +66,6 @@
 
         gtk.accel_map_add_entry("<viz>/Go/Next Revision", gtk.keysyms.Up, gtk.gdk.MOD1_MASK)
         gtk.accel_map_add_entry("<viz>/Go/Previous Revision", gtk.keysyms.Down, gtk.gdk.MOD1_MASK)
-        gtk.accel_map_add_entry("<viz>/View/Refresh", gtk.keysyms.F5, 0)
 
         self.accel_group = gtk.AccelGroup()
         self.add_accel_group(self.accel_group)
@@ -85,12 +84,6 @@
         self.next_rev_action.connect("activate", self._fwd_clicked_cb)
         self.next_rev_action.connect_accelerator()
 
-        self.refresh_action = gtk.Action("refresh", "_Refresh", "Refresh view", gtk.STOCK_REFRESH)
-        self.refresh_action.set_accel_path("<viz>/View/Refresh")
-        self.refresh_action.set_accel_group(self.accel_group)
-        self.refresh_action.connect("activate", self._refresh_clicked)
-        self.refresh_action.connect_accelerator()
-
         self.construct()
 
     def set_revision(self, revid):
@@ -151,12 +144,6 @@
         view_menuitem = gtk.MenuItem("_View")
         view_menuitem.set_submenu(view_menu)
 
-        view_menu_refresh = self.refresh_action.create_menu_item()
-        view_menu_refresh.connect('activate', self._refresh_clicked)
-
-        view_menu.add(view_menu_refresh)
-        view_menu.add(gtk.SeparatorMenuItem())
-
         view_menu_toolbar = gtk.CheckMenuItem("Show Toolbar")
         view_menu_toolbar.set_active(True)
         view_menu_toolbar.connect('toggled', self._toolbar_visibility_changed)

